import type { ExtractPropTypes } from 'vue';
import type { RadioChangeEvent } from '../radio/interface';
export declare const checkboxProps: () => {
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    defaultChecked: import("vue-types").VueTypeValidableDef<boolean>;
    checked: import("vue-types").VueTypeValidableDef<boolean>;
    disabled: import("vue-types").VueTypeValidableDef<boolean>;
    isGroup: import("vue-types").VueTypeValidableDef<boolean>;
    value: import("vue-types").VueTypeValidableDef<any>;
    name: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    id: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    indeterminate: import("vue-types").VueTypeValidableDef<boolean>;
    type: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    autofocus: import("vue-types").VueTypeValidableDef<boolean>;
    onChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    'onUpdate:checked': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    skipGroup: import("vue-types").VueTypeValidableDef<boolean>;
};
export declare type CheckboxProps = Partial<ExtractPropTypes<ReturnType<typeof checkboxProps>>>;
declare const _default: import("vue").DefineComponent<{
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    defaultChecked: import("vue-types").VueTypeValidableDef<boolean>;
    checked: import("vue-types").VueTypeValidableDef<boolean>;
    disabled: import("vue-types").VueTypeValidableDef<boolean>;
    isGroup: import("vue-types").VueTypeValidableDef<boolean>;
    value: import("vue-types").VueTypeValidableDef<any>;
    name: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    id: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    indeterminate: import("vue-types").VueTypeValidableDef<boolean>;
    type: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    autofocus: import("vue-types").VueTypeValidableDef<boolean>;
    onChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    'onUpdate:checked': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    skipGroup: import("vue-types").VueTypeValidableDef<boolean>;
}, {
    formItemContext: import("../form/FormItemContext").FormItemContext;
    configProvider: Partial<{
        getTargetContainer?: unknown;
        getPopupContainer?: unknown;
        prefixCls?: unknown;
        getPrefixCls?: unknown;
        renderEmpty?: unknown;
        transformCellText?: unknown;
        csp?: unknown;
        autoInsertSpaceInButton?: unknown;
        locale?: unknown;
        pageHeader?: unknown;
        componentSize?: unknown;
        direction?: unknown;
        space?: unknown;
        virtual?: unknown;
        dropdownMatchSelectWidth?: unknown;
        form?: unknown;
        notUpdateGlobalConfig?: unknown;
    } & {
        dropdownMatchSelectWidth: number | boolean;
        notUpdateGlobalConfig: boolean;
    } & {
        prefixCls?: string;
        getTargetContainer?: () => any;
        getPopupContainer?: (triggerNode: any) => any;
        getPrefixCls?: (suffixCls?: string, customizePrefixCls?: string) => string;
        renderEmpty?: typeof import("../config-provider/renderEmpty").default;
        transformCellText?: (tableProps: import("../table/interface").TransformCellTextProps) => any;
        csp?: unknown;
        autoInsertSpaceInButton?: boolean;
        locale?: import("../locale-provider").Locale;
        pageHeader?: {
            ghost: boolean;
        };
        componentSize?: import("../config-provider").SizeType;
        direction?: "ltr" | "rtl";
        space?: {
            size: number | import("../config-provider").SizeType;
        };
        virtual?: boolean;
        form?: unknown;
    }>;
    checkboxGroupContext: any;
}, unknown, {}, {
    handleChange(event: RadioChangeEvent): void;
    focus(): void;
    blur(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "update:checked")[], "change" | "update:checked", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    prefixCls?: unknown;
    defaultChecked?: unknown;
    checked?: unknown;
    disabled?: unknown;
    isGroup?: unknown;
    value?: unknown;
    name?: unknown;
    id?: unknown;
    indeterminate?: unknown;
    type?: unknown;
    autofocus?: unknown;
    onChange?: unknown;
    'onUpdate:checked'?: unknown;
    skipGroup?: unknown;
} & {
    type: string;
    prefixCls: string;
    name: string;
    id: string;
} & {
    value?: any;
    disabled?: boolean;
    onChange?: (...args: any[]) => any;
    defaultChecked?: boolean;
    checked?: boolean;
    autofocus?: boolean;
    isGroup?: boolean;
    "onUpdate:checked"?: (...args: any[]) => any;
    indeterminate?: boolean;
    skipGroup?: boolean;
}> & {
    onChange?: (...args: any[]) => any;
    "onUpdate:checked"?: (...args: any[]) => any;
}, {
    type: string;
    prefixCls: string;
    onChange: (...args: any[]) => any;
    name: string;
    id: string;
    "onUpdate:checked": (...args: any[]) => any;
}>;
export default _default;
