import type { PropType, ExtractPropTypes } from 'vue';
import { nextTick } from 'vue';
import type { EventHandler } from '../_util/EventInterface';
declare const inputNumberProps: {
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    min: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    max: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    value: import("vue-types").VueTypeDef<string | number>;
    step: import("vue-types").VueTypeDef<string | number> & {
        default: string | number;
    };
    defaultValue: import("vue-types").VueTypeDef<string | number>;
    tabindex: import("vue-types").VueTypeDef<string | number>;
    disabled: import("vue-types").VueTypeValidableDef<boolean>;
    size: import("vue-types").VueTypeDef<"default" | "small" | "large">;
    formatter: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    parser: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    decimalSeparator: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    placeholder: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    name: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    id: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    precision: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    autofocus: import("vue-types").VueTypeValidableDef<boolean>;
    onPressEnter: {
        type: PropType<EventHandler>;
    };
    onChange: PropType<(num: number) => void>;
};
export declare type InputNumberProps = Partial<ExtractPropTypes<typeof inputNumberProps>>;
declare const _default: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            prefixCls: string;
            name: string;
            max: number;
            min: number;
            step: string | number;
            id: string;
            placeholder: string;
            parser: (...args: any[]) => any;
            formatter: (...args: any[]) => any;
            precision: number;
            decimalSeparator: string;
        }> & Omit<Readonly<{
            prefixCls?: unknown;
            min?: unknown;
            max?: unknown;
            value?: unknown;
            step?: unknown;
            defaultValue?: unknown;
            tabindex?: unknown;
            disabled?: unknown;
            size?: unknown;
            formatter?: unknown;
            parser?: unknown;
            decimalSeparator?: unknown;
            placeholder?: unknown;
            name?: unknown;
            id?: unknown;
            precision?: unknown;
            autofocus?: unknown;
            onPressEnter?: unknown;
            onChange?: unknown;
        } & {
            prefixCls: string;
            name: string;
            max: number;
            min: number;
            step: string | number;
            id: string;
            placeholder: string;
            precision: number;
            decimalSeparator: string;
        } & {
            value?: string | number;
            disabled?: boolean;
            onChange?: (num: number) => void;
            size?: "default" | "small" | "large";
            tabindex?: string | number;
            autofocus?: boolean;
            defaultValue?: string | number;
            onPressEnter?: EventHandler;
            parser?: (...args: any[]) => any;
            formatter?: (...args: any[]) => any;
        }> & {
            onBlur?: (...args: any[]) => any;
            onChange?: (...args: any[]) => any;
            onInput?: (...args: any[]) => any;
            "onUpdate:value"?: (...args: any[]) => any;
        } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "prefixCls" | "name" | "max" | "min" | "step" | "id" | "placeholder" | "parser" | "formatter" | "precision" | "decimalSeparator">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $emit: (event: "change" | "input" | "update:value" | "blur", ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<{
            prefixCls?: unknown;
            min?: unknown;
            max?: unknown;
            value?: unknown;
            step?: unknown;
            defaultValue?: unknown;
            tabindex?: unknown;
            disabled?: unknown;
            size?: unknown;
            formatter?: unknown;
            parser?: unknown;
            decimalSeparator?: unknown;
            placeholder?: unknown;
            name?: unknown;
            id?: unknown;
            precision?: unknown;
            autofocus?: unknown;
            onPressEnter?: unknown;
            onChange?: unknown;
        } & {
            prefixCls: string;
            name: string;
            max: number;
            min: number;
            step: string | number;
            id: string;
            placeholder: string;
            precision: number;
            decimalSeparator: string;
        } & {
            value?: string | number;
            disabled?: boolean;
            onChange?: (num: number) => void;
            size?: "default" | "small" | "large";
            tabindex?: string | number;
            autofocus?: boolean;
            defaultValue?: string | number;
            onPressEnter?: EventHandler;
            parser?: (...args: any[]) => any;
            formatter?: (...args: any[]) => any;
        }> & {
            onBlur?: (...args: any[]) => any;
            onChange?: (...args: any[]) => any;
            onInput?: (...args: any[]) => any;
            "onUpdate:value"?: (...args: any[]) => any;
        }, {
            configProvider: Partial<{
                getTargetContainer?: unknown;
                getPopupContainer?: unknown;
                prefixCls?: unknown;
                getPrefixCls?: unknown;
                renderEmpty?: unknown;
                transformCellText?: unknown;
                csp?: unknown;
                autoInsertSpaceInButton?: unknown;
                locale?: unknown;
                pageHeader?: unknown;
                componentSize?: unknown;
                direction?: unknown;
                space?: unknown;
                virtual?: unknown;
                dropdownMatchSelectWidth?: unknown;
                form?: unknown;
                notUpdateGlobalConfig?: unknown;
            } & {
                dropdownMatchSelectWidth: number | boolean;
                notUpdateGlobalConfig: boolean;
            } & {
                prefixCls?: string;
                getTargetContainer?: () => any;
                getPopupContainer?: (triggerNode: any) => any;
                getPrefixCls?: (suffixCls?: string, customizePrefixCls?: string) => string;
                renderEmpty?: typeof import("../config-provider/renderEmpty").default;
                transformCellText?: (tableProps: import("../table/interface").TransformCellTextProps) => any;
                csp?: unknown;
                autoInsertSpaceInButton?: boolean;
                locale?: import("../locale-provider").Locale;
                pageHeader?: {
                    ghost: boolean;
                };
                componentSize?: import("../config-provider").SizeType;
                direction?: "ltr" | "rtl";
                space?: {
                    size: number | import("../config-provider").SizeType;
                };
                virtual?: boolean;
                form?: unknown;
            }>;
            inputNumberRef: any;
            focus: () => void;
            blur: () => void;
            formItemContext: import("../form/FormItemContext").FormItemContext;
            handleBlur: () => void;
            handleChange: (val: number) => void;
        }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "input" | "update:value" | "blur")[], string, {
            prefixCls: string;
            name: string;
            max: number;
            min: number;
            step: string | number;
            id: string;
            placeholder: string;
            parser: (...args: any[]) => any;
            formatter: (...args: any[]) => any;
            precision: number;
            decimalSeparator: string;
        }> & {
            beforeCreate?: (() => void) | (() => void)[];
            created?: (() => void) | (() => void)[];
            beforeMount?: (() => void) | (() => void)[];
            mounted?: (() => void) | (() => void)[];
            beforeUpdate?: (() => void) | (() => void)[];
            updated?: (() => void) | (() => void)[];
            activated?: (() => void) | (() => void)[];
            deactivated?: (() => void) | (() => void)[];
            beforeDestroy?: (() => void) | (() => void)[];
            beforeUnmount?: (() => void) | (() => void)[];
            destroyed?: (() => void) | (() => void)[];
            unmounted?: (() => void) | (() => void)[];
            renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void)[];
        };
        $forceUpdate: () => void;
        $nextTick: typeof nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
    } & Readonly<{
        prefixCls?: unknown;
        min?: unknown;
        max?: unknown;
        value?: unknown;
        step?: unknown;
        defaultValue?: unknown;
        tabindex?: unknown;
        disabled?: unknown;
        size?: unknown;
        formatter?: unknown;
        parser?: unknown;
        decimalSeparator?: unknown;
        placeholder?: unknown;
        name?: unknown;
        id?: unknown;
        precision?: unknown;
        autofocus?: unknown;
        onPressEnter?: unknown;
        onChange?: unknown;
    } & {
        prefixCls: string;
        name: string;
        max: number;
        min: number;
        step: string | number;
        id: string;
        placeholder: string;
        precision: number;
        decimalSeparator: string;
    } & {
        value?: string | number;
        disabled?: boolean;
        onChange?: (num: number) => void;
        size?: "default" | "small" | "large";
        tabindex?: string | number;
        autofocus?: boolean;
        defaultValue?: string | number;
        onPressEnter?: EventHandler;
        parser?: (...args: any[]) => any;
        formatter?: (...args: any[]) => any;
    }> & {
        onBlur?: (...args: any[]) => any;
        onChange?: (...args: any[]) => any;
        onInput?: (...args: any[]) => any;
        "onUpdate:value"?: (...args: any[]) => any;
    } & import("vue").ShallowUnwrapRef<{
        configProvider: Partial<{
            getTargetContainer?: unknown;
            getPopupContainer?: unknown;
            prefixCls?: unknown;
            getPrefixCls?: unknown;
            renderEmpty?: unknown;
            transformCellText?: unknown;
            csp?: unknown;
            autoInsertSpaceInButton?: unknown;
            locale?: unknown;
            pageHeader?: unknown;
            componentSize?: unknown;
            direction?: unknown;
            space?: unknown;
            virtual?: unknown;
            dropdownMatchSelectWidth?: unknown;
            form?: unknown;
            notUpdateGlobalConfig?: unknown;
        } & {
            dropdownMatchSelectWidth: number | boolean;
            notUpdateGlobalConfig: boolean;
        } & {
            prefixCls?: string;
            getTargetContainer?: () => any;
            getPopupContainer?: (triggerNode: any) => any;
            getPrefixCls?: (suffixCls?: string, customizePrefixCls?: string) => string;
            renderEmpty?: typeof import("../config-provider/renderEmpty").default;
            transformCellText?: (tableProps: import("../table/interface").TransformCellTextProps) => any;
            csp?: unknown;
            autoInsertSpaceInButton?: boolean;
            locale?: import("../locale-provider").Locale;
            pageHeader?: {
                ghost: boolean;
            };
            componentSize?: import("../config-provider").SizeType;
            direction?: "ltr" | "rtl";
            space?: {
                size: number | import("../config-provider").SizeType;
            };
            virtual?: boolean;
            form?: unknown;
        }>;
        inputNumberRef: any;
        focus: () => void;
        blur: () => void;
        formItemContext: import("../form/FormItemContext").FormItemContext;
        handleBlur: () => void;
        handleChange: (val: number) => void;
    }> & {} & import("vue").ComponentCustomProperties;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<{
    prefixCls?: unknown;
    min?: unknown;
    max?: unknown;
    value?: unknown;
    step?: unknown;
    defaultValue?: unknown;
    tabindex?: unknown;
    disabled?: unknown;
    size?: unknown;
    formatter?: unknown;
    parser?: unknown;
    decimalSeparator?: unknown;
    placeholder?: unknown;
    name?: unknown;
    id?: unknown;
    precision?: unknown;
    autofocus?: unknown;
    onPressEnter?: unknown;
    onChange?: unknown;
} & {
    prefixCls: string;
    name: string;
    max: number;
    min: number;
    step: string | number;
    id: string;
    placeholder: string;
    precision: number;
    decimalSeparator: string;
} & {
    value?: string | number;
    disabled?: boolean;
    onChange?: (num: number) => void;
    size?: "default" | "small" | "large";
    tabindex?: string | number;
    autofocus?: boolean;
    defaultValue?: string | number;
    onPressEnter?: EventHandler;
    parser?: (...args: any[]) => any;
    formatter?: (...args: any[]) => any;
}> & {
    onBlur?: (...args: any[]) => any;
    onChange?: (...args: any[]) => any;
    onInput?: (...args: any[]) => any;
    "onUpdate:value"?: (...args: any[]) => any;
}, {
    configProvider: Partial<{
        getTargetContainer?: unknown;
        getPopupContainer?: unknown;
        prefixCls?: unknown;
        getPrefixCls?: unknown;
        renderEmpty?: unknown;
        transformCellText?: unknown;
        csp?: unknown;
        autoInsertSpaceInButton?: unknown;
        locale?: unknown;
        pageHeader?: unknown;
        componentSize?: unknown;
        direction?: unknown;
        space?: unknown;
        virtual?: unknown;
        dropdownMatchSelectWidth?: unknown;
        form?: unknown;
        notUpdateGlobalConfig?: unknown;
    } & {
        dropdownMatchSelectWidth: number | boolean;
        notUpdateGlobalConfig: boolean;
    } & {
        prefixCls?: string;
        getTargetContainer?: () => any;
        getPopupContainer?: (triggerNode: any) => any;
        getPrefixCls?: (suffixCls?: string, customizePrefixCls?: string) => string;
        renderEmpty?: typeof import("../config-provider/renderEmpty").default;
        transformCellText?: (tableProps: import("../table/interface").TransformCellTextProps) => any;
        csp?: unknown;
        autoInsertSpaceInButton?: boolean;
        locale?: import("../locale-provider").Locale;
        pageHeader?: {
            ghost: boolean;
        };
        componentSize?: import("../config-provider").SizeType;
        direction?: "ltr" | "rtl";
        space?: {
            size: number | import("../config-provider").SizeType;
        };
        virtual?: boolean;
        form?: unknown;
    }>;
    inputNumberRef: any;
    focus: () => void;
    blur: () => void;
    formItemContext: import("../form/FormItemContext").FormItemContext;
    handleBlur: () => void;
    handleChange: (val: number) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "input" | "update:value" | "blur")[], "input" | "change" | "update:value" | "blur", {
    prefixCls: string;
    name: string;
    max: number;
    min: number;
    step: string | number;
    id: string;
    placeholder: string;
    parser: (...args: any[]) => any;
    formatter: (...args: any[]) => any;
    precision: number;
    decimalSeparator: string;
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("@vue/runtime-core").Plugin;
export default _default;
