import type { Plugin } from 'vue';
import type { ModalFunc } from './Modal';
export type { IActionButtonProps as ActionButtonProps } from './ActionButton';
export type { ModalProps, ModalFuncProps } from './Modal';
declare const _default: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {
            sVisible: boolean;
        };
        $props: Partial<{
            prefixCls: string;
            zIndex: number;
            transitionName: string;
            maskTransitionName: string;
            afterClose: (...args: any[]) => any;
            wrapClassName: string;
            wrapProps: {
                [key: string]: any;
            };
        }> & Omit<Readonly<{
            prefixCls?: unknown;
            visible?: unknown;
            confirmLoading?: unknown;
            title?: unknown;
            closable?: unknown;
            closeIcon?: unknown;
            onOk?: unknown;
            onCancel?: unknown;
            afterClose?: unknown;
            centered?: unknown;
            width?: unknown;
            footer?: unknown;
            okText?: unknown;
            okType?: unknown;
            cancelText?: unknown;
            icon?: unknown;
            maskClosable?: unknown;
            forceRender?: unknown;
            okButtonProps?: unknown;
            cancelButtonProps?: unknown;
            destroyOnClose?: unknown;
            wrapClassName?: unknown;
            maskTransitionName?: unknown;
            transitionName?: unknown;
            getContainer?: unknown;
            zIndex?: unknown;
            bodyStyle?: unknown;
            maskStyle?: unknown;
            mask?: unknown;
            keyboard?: unknown;
            wrapProps?: unknown;
            focusTriggerAfterClose?: unknown;
        } & {
            prefixCls: string;
            zIndex: number;
            transitionName: string;
            maskTransitionName: string;
            wrapClassName: string;
            wrapProps: {
                [key: string]: any;
            };
        } & {
            width?: string | number;
            footer?: any;
            title?: any;
            mask?: boolean;
            visible?: boolean;
            icon?: any;
            onCancel?: (e: any) => void;
            forceRender?: boolean;
            getContainer?: any;
            maskClosable?: boolean;
            keyboard?: boolean;
            closable?: boolean;
            closeIcon?: any;
            onOk?: (e: any) => void;
            afterClose?: (...args: any[]) => any;
            centered?: boolean;
            bodyStyle?: import("vue").CSSProperties;
            maskStyle?: import("vue").CSSProperties;
            destroyOnClose?: boolean;
            focusTriggerAfterClose?: boolean;
            confirmLoading?: boolean;
            okText?: any;
            okType?: import("../button/buttonTypes").LegacyButtonType;
            cancelText?: any;
            okButtonProps?: object;
            cancelButtonProps?: object;
        }> & {
            onChange?: (...args: any[]) => any;
            onCancel?: (...args: any[]) => any;
            "onUpdate:visible"?: (...args: any[]) => any;
            onOk?: (...args: any[]) => any;
        } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "prefixCls" | "zIndex" | "transitionName" | "maskTransitionName" | "afterClose" | "wrapClassName" | "wrapProps">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $emit: (event: "change" | "update:visible" | "ok" | "cancel", ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<{
            prefixCls?: unknown;
            visible?: unknown;
            confirmLoading?: unknown;
            title?: unknown;
            closable?: unknown;
            closeIcon?: unknown;
            onOk?: unknown;
            onCancel?: unknown;
            afterClose?: unknown;
            centered?: unknown;
            width?: unknown;
            footer?: unknown;
            okText?: unknown;
            okType?: unknown;
            cancelText?: unknown;
            icon?: unknown;
            maskClosable?: unknown;
            forceRender?: unknown;
            okButtonProps?: unknown;
            cancelButtonProps?: unknown;
            destroyOnClose?: unknown;
            wrapClassName?: unknown;
            maskTransitionName?: unknown;
            transitionName?: unknown;
            getContainer?: unknown;
            zIndex?: unknown;
            bodyStyle?: unknown;
            maskStyle?: unknown;
            mask?: unknown;
            keyboard?: unknown;
            wrapProps?: unknown;
            focusTriggerAfterClose?: unknown;
        } & {
            prefixCls: string;
            zIndex: number;
            transitionName: string;
            maskTransitionName: string;
            wrapClassName: string;
            wrapProps: {
                [key: string]: any;
            };
        } & {
            width?: string | number;
            footer?: any;
            title?: any;
            mask?: boolean;
            visible?: boolean;
            icon?: any;
            onCancel?: (e: any) => void;
            forceRender?: boolean;
            getContainer?: any;
            maskClosable?: boolean;
            keyboard?: boolean;
            closable?: boolean;
            closeIcon?: any;
            onOk?: (e: any) => void;
            afterClose?: (...args: any[]) => any;
            centered?: boolean;
            bodyStyle?: import("vue").CSSProperties;
            maskStyle?: import("vue").CSSProperties;
            destroyOnClose?: boolean;
            focusTriggerAfterClose?: boolean;
            confirmLoading?: boolean;
            okText?: any;
            okType?: import("../button/buttonTypes").LegacyButtonType;
            cancelText?: any;
            okButtonProps?: object;
            cancelButtonProps?: object;
        }> & {
            onChange?: (...args: any[]) => any;
            onCancel?: (...args: any[]) => any;
            "onUpdate:visible"?: (...args: any[]) => any;
            onOk?: (...args: any[]) => any;
        }, {
            locale: import("vue").ComputedRef<import("./locale").ModalLocale>;
            configProvider: Partial<{
                getTargetContainer?: unknown;
                getPopupContainer?: unknown;
                prefixCls?: unknown;
                getPrefixCls?: unknown;
                renderEmpty?: unknown;
                transformCellText?: unknown;
                csp?: unknown;
                autoInsertSpaceInButton?: unknown;
                locale?: unknown;
                pageHeader?: unknown;
                componentSize?: unknown;
                direction?: unknown;
                space?: unknown;
                virtual?: unknown;
                dropdownMatchSelectWidth?: unknown;
                form?: unknown;
                notUpdateGlobalConfig?: unknown;
            } & {
                dropdownMatchSelectWidth: number | boolean;
                notUpdateGlobalConfig: boolean;
            } & {
                prefixCls?: string;
                getTargetContainer?: () => any;
                getPopupContainer?: (triggerNode: any) => any;
                getPrefixCls?: (suffixCls?: string, customizePrefixCls?: string) => string;
                renderEmpty?: typeof import("../config-provider/renderEmpty").default;
                transformCellText?: (tableProps: import("../table/interface").TransformCellTextProps) => any;
                csp?: unknown;
                autoInsertSpaceInButton?: boolean;
                locale?: import("../locale-provider").Locale;
                pageHeader?: {
                    ghost: boolean;
                };
                componentSize?: import("../config-provider").SizeType;
                direction?: "ltr" | "rtl";
                space?: {
                    size: number | import("../config-provider").SizeType;
                };
                virtual?: boolean;
                form?: unknown;
            }>;
        }, {
            sVisible: boolean;
        }, {}, {
            handleCancel(e: any): void;
            handleOk(e: any): void;
            renderFooter(): JSX.Element;
        }, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "update:visible" | "ok" | "cancel")[], string, {
            prefixCls: string;
            zIndex: number;
            transitionName: string;
            maskTransitionName: string;
            afterClose: (...args: any[]) => any;
            wrapClassName: string;
            wrapProps: {
                [key: string]: any;
            };
        }> & {
            beforeCreate?: (() => void) | (() => void)[];
            created?: (() => void) | (() => void)[];
            beforeMount?: (() => void) | (() => void)[];
            mounted?: (() => void) | (() => void)[];
            beforeUpdate?: (() => void) | (() => void)[];
            updated?: (() => void) | (() => void)[];
            activated?: (() => void) | (() => void)[];
            deactivated?: (() => void) | (() => void)[];
            beforeDestroy?: (() => void) | (() => void)[];
            beforeUnmount?: (() => void) | (() => void)[];
            destroyed?: (() => void) | (() => void)[];
            unmounted?: (() => void) | (() => void)[];
            renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void)[];
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
    } & Readonly<{
        prefixCls?: unknown;
        visible?: unknown;
        confirmLoading?: unknown;
        title?: unknown;
        closable?: unknown;
        closeIcon?: unknown;
        onOk?: unknown;
        onCancel?: unknown;
        afterClose?: unknown;
        centered?: unknown;
        width?: unknown;
        footer?: unknown;
        okText?: unknown;
        okType?: unknown;
        cancelText?: unknown;
        icon?: unknown;
        maskClosable?: unknown;
        forceRender?: unknown;
        okButtonProps?: unknown;
        cancelButtonProps?: unknown;
        destroyOnClose?: unknown;
        wrapClassName?: unknown;
        maskTransitionName?: unknown;
        transitionName?: unknown;
        getContainer?: unknown;
        zIndex?: unknown;
        bodyStyle?: unknown;
        maskStyle?: unknown;
        mask?: unknown;
        keyboard?: unknown;
        wrapProps?: unknown;
        focusTriggerAfterClose?: unknown;
    } & {
        prefixCls: string;
        zIndex: number;
        transitionName: string;
        maskTransitionName: string;
        wrapClassName: string;
        wrapProps: {
            [key: string]: any;
        };
    } & {
        width?: string | number;
        footer?: any;
        title?: any;
        mask?: boolean;
        visible?: boolean;
        icon?: any;
        onCancel?: (e: any) => void;
        forceRender?: boolean;
        getContainer?: any;
        maskClosable?: boolean;
        keyboard?: boolean;
        closable?: boolean;
        closeIcon?: any;
        onOk?: (e: any) => void;
        afterClose?: (...args: any[]) => any;
        centered?: boolean;
        bodyStyle?: import("vue").CSSProperties;
        maskStyle?: import("vue").CSSProperties;
        destroyOnClose?: boolean;
        focusTriggerAfterClose?: boolean;
        confirmLoading?: boolean;
        okText?: any;
        okType?: import("../button/buttonTypes").LegacyButtonType;
        cancelText?: any;
        okButtonProps?: object;
        cancelButtonProps?: object;
    }> & {
        onChange?: (...args: any[]) => any;
        onCancel?: (...args: any[]) => any;
        "onUpdate:visible"?: (...args: any[]) => any;
        onOk?: (...args: any[]) => any;
    } & import("vue").ShallowUnwrapRef<{
        locale: import("vue").ComputedRef<import("./locale").ModalLocale>;
        configProvider: Partial<{
            getTargetContainer?: unknown;
            getPopupContainer?: unknown;
            prefixCls?: unknown;
            getPrefixCls?: unknown;
            renderEmpty?: unknown;
            transformCellText?: unknown;
            csp?: unknown;
            autoInsertSpaceInButton?: unknown;
            locale?: unknown;
            pageHeader?: unknown;
            componentSize?: unknown;
            direction?: unknown;
            space?: unknown;
            virtual?: unknown;
            dropdownMatchSelectWidth?: unknown;
            form?: unknown;
            notUpdateGlobalConfig?: unknown;
        } & {
            dropdownMatchSelectWidth: number | boolean;
            notUpdateGlobalConfig: boolean;
        } & {
            prefixCls?: string;
            getTargetContainer?: () => any;
            getPopupContainer?: (triggerNode: any) => any;
            getPrefixCls?: (suffixCls?: string, customizePrefixCls?: string) => string;
            renderEmpty?: typeof import("../config-provider/renderEmpty").default;
            transformCellText?: (tableProps: import("../table/interface").TransformCellTextProps) => any;
            csp?: unknown;
            autoInsertSpaceInButton?: boolean;
            locale?: import("../locale-provider").Locale;
            pageHeader?: {
                ghost: boolean;
            };
            componentSize?: import("../config-provider").SizeType;
            direction?: "ltr" | "rtl";
            space?: {
                size: number | import("../config-provider").SizeType;
            };
            virtual?: boolean;
            form?: unknown;
        }>;
    }> & {
        sVisible: boolean;
    } & {} & {
        handleCancel(e: any): void;
        handleOk(e: any): void;
        renderFooter(): JSX.Element;
    } & import("vue").ComponentCustomProperties;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<{
    prefixCls?: unknown;
    visible?: unknown;
    confirmLoading?: unknown;
    title?: unknown;
    closable?: unknown;
    closeIcon?: unknown;
    onOk?: unknown;
    onCancel?: unknown;
    afterClose?: unknown;
    centered?: unknown;
    width?: unknown;
    footer?: unknown;
    okText?: unknown;
    okType?: unknown;
    cancelText?: unknown;
    icon?: unknown;
    maskClosable?: unknown;
    forceRender?: unknown;
    okButtonProps?: unknown;
    cancelButtonProps?: unknown;
    destroyOnClose?: unknown;
    wrapClassName?: unknown;
    maskTransitionName?: unknown;
    transitionName?: unknown;
    getContainer?: unknown;
    zIndex?: unknown;
    bodyStyle?: unknown;
    maskStyle?: unknown;
    mask?: unknown;
    keyboard?: unknown;
    wrapProps?: unknown;
    focusTriggerAfterClose?: unknown;
} & {
    prefixCls: string;
    zIndex: number;
    transitionName: string;
    maskTransitionName: string;
    wrapClassName: string;
    wrapProps: {
        [key: string]: any;
    };
} & {
    width?: string | number;
    footer?: any;
    title?: any;
    mask?: boolean;
    visible?: boolean;
    icon?: any;
    onCancel?: (e: any) => void;
    forceRender?: boolean;
    getContainer?: any;
    maskClosable?: boolean;
    keyboard?: boolean;
    closable?: boolean;
    closeIcon?: any;
    onOk?: (e: any) => void;
    afterClose?: (...args: any[]) => any;
    centered?: boolean;
    bodyStyle?: import("vue").CSSProperties;
    maskStyle?: import("vue").CSSProperties;
    destroyOnClose?: boolean;
    focusTriggerAfterClose?: boolean;
    confirmLoading?: boolean;
    okText?: any;
    okType?: import("../button/buttonTypes").LegacyButtonType;
    cancelText?: any;
    okButtonProps?: object;
    cancelButtonProps?: object;
}> & {
    onChange?: (...args: any[]) => any;
    onCancel?: (...args: any[]) => any;
    "onUpdate:visible"?: (...args: any[]) => any;
    onOk?: (...args: any[]) => any;
}, {
    locale: import("vue").ComputedRef<import("./locale").ModalLocale>;
    configProvider: Partial<{
        getTargetContainer?: unknown;
        getPopupContainer?: unknown;
        prefixCls?: unknown;
        getPrefixCls?: unknown;
        renderEmpty?: unknown;
        transformCellText?: unknown;
        csp?: unknown;
        autoInsertSpaceInButton?: unknown;
        locale?: unknown;
        pageHeader?: unknown;
        componentSize?: unknown;
        direction?: unknown;
        space?: unknown;
        virtual?: unknown;
        dropdownMatchSelectWidth?: unknown;
        form?: unknown;
        notUpdateGlobalConfig?: unknown;
    } & {
        dropdownMatchSelectWidth: number | boolean;
        notUpdateGlobalConfig: boolean;
    } & {
        prefixCls?: string;
        getTargetContainer?: () => any;
        getPopupContainer?: (triggerNode: any) => any;
        getPrefixCls?: (suffixCls?: string, customizePrefixCls?: string) => string;
        renderEmpty?: typeof import("../config-provider/renderEmpty").default;
        transformCellText?: (tableProps: import("../table/interface").TransformCellTextProps) => any;
        csp?: unknown;
        autoInsertSpaceInButton?: boolean;
        locale?: import("../locale-provider").Locale;
        pageHeader?: {
            ghost: boolean;
        };
        componentSize?: import("../config-provider").SizeType;
        direction?: "ltr" | "rtl";
        space?: {
            size: number | import("../config-provider").SizeType;
        };
        virtual?: boolean;
        form?: unknown;
    }>;
}, {
    sVisible: boolean;
}, {}, {
    handleCancel(e: any): void;
    handleOk(e: any): void;
    renderFooter(): JSX.Element;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "update:visible" | "ok" | "cancel")[], "change" | "update:visible" | "ok" | "cancel", {
    prefixCls: string;
    zIndex: number;
    transitionName: string;
    maskTransitionName: string;
    afterClose: (...args: any[]) => any;
    wrapClassName: string;
    wrapProps: {
        [key: string]: any;
    };
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Plugin & {
    readonly info: ModalFunc;
    readonly success: ModalFunc;
    readonly error: ModalFunc;
    readonly warn: ModalFunc;
    readonly warning: ModalFunc;
    readonly confirm: ModalFunc;
    readonly destroyAll: () => void;
};
export default _default;
