import type { ExtractPropTypes } from 'vue';
export declare const popoverProps: () => {
    content: import("vue-types").VueTypeValidableDef<any>;
    title: import("vue-types").VueTypeValidableDef<any>;
    trigger: import("vue-types").VueTypeDef<"click" | "focus" | "contextmenu" | "hover" | ("click" | "focus" | "contextmenu" | "hover")[]>;
    visible: import("vue-types").VueTypeValidableDef<boolean>;
    defaultVisible: import("vue-types").VueTypeValidableDef<boolean>;
    placement: import("vue-types").VueTypeDef<"top" | "bottom" | "left" | "right" | "topLeft" | "topRight" | "bottomLeft" | "bottomRight" | "leftTop" | "leftBottom" | "rightTop" | "rightBottom">;
    color: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    transitionName: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    overlayStyle: import("vue-types").VueTypeValidableDef<import("vue").CSSProperties>;
    overlayClassName: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    openClassName: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    mouseEnterDelay: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    mouseLeaveDelay: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    getPopupContainer: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    arrowPointAtCenter: import("vue-types").VueTypeValidableDef<boolean>;
    autoAdjustOverflow: import("vue-types").VueTypeDef<boolean | {
        [key: string]: any;
    }>;
    destroyTooltipOnHide: import("vue-types").VueTypeValidableDef<boolean>;
    align: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    };
    builtinPlacements: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    };
    children: import("vue-types").VueTypeValidableDef<unknown[]> & {
        default: () => unknown[];
    };
    onVisibleChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    'onUpdate:visible': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
};
export declare type PopoverProps = Partial<ExtractPropTypes<ReturnType<typeof popoverProps>>>;
declare const _default: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            align: {
                [key: string]: any;
            };
            prefixCls: string;
            getPopupContainer: (...args: any[]) => any;
            color: string;
            children: unknown[];
            transitionName: string;
            builtinPlacements: {
                [key: string]: any;
            };
            mouseEnterDelay: number;
            mouseLeaveDelay: number;
            overlayClassName: string;
            onVisibleChange: (...args: any[]) => any;
            openClassName: string;
            "onUpdate:visible": (...args: any[]) => any;
        }> & Omit<Readonly<{
            content?: unknown;
            title?: unknown;
            trigger?: unknown;
            visible?: unknown;
            defaultVisible?: unknown;
            placement?: unknown;
            color?: unknown;
            transitionName?: unknown;
            overlayStyle?: unknown;
            overlayClassName?: unknown;
            openClassName?: unknown;
            prefixCls?: unknown;
            mouseEnterDelay?: unknown;
            mouseLeaveDelay?: unknown;
            getPopupContainer?: unknown;
            arrowPointAtCenter?: unknown;
            autoAdjustOverflow?: unknown;
            destroyTooltipOnHide?: unknown;
            align?: unknown;
            builtinPlacements?: unknown;
            children?: unknown;
            onVisibleChange?: unknown;
            'onUpdate:visible'?: unknown;
        } & {
            align: {
                [key: string]: any;
            };
            prefixCls: string;
            color: string;
            children: unknown[];
            transitionName: string;
            builtinPlacements: {
                [key: string]: any;
            };
            mouseEnterDelay: number;
            mouseLeaveDelay: number;
            overlayClassName: string;
            openClassName: string;
        } & {
            getPopupContainer?: (...args: any[]) => any;
            title?: any;
            content?: any;
            visible?: boolean;
            trigger?: "click" | "focus" | "contextmenu" | "hover" | ("click" | "focus" | "contextmenu" | "hover")[];
            defaultVisible?: boolean;
            placement?: "top" | "bottom" | "left" | "right" | "topLeft" | "topRight" | "bottomLeft" | "bottomRight" | "leftTop" | "leftBottom" | "rightTop" | "rightBottom";
            overlayStyle?: import("vue").CSSProperties;
            destroyTooltipOnHide?: boolean;
            onVisibleChange?: (...args: any[]) => any;
            autoAdjustOverflow?: boolean | {
                [key: string]: any;
            };
            arrowPointAtCenter?: boolean;
            "onUpdate:visible"?: (...args: any[]) => any;
        }> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "align" | "prefixCls" | "getPopupContainer" | "color" | "children" | "transitionName" | "builtinPlacements" | "mouseEnterDelay" | "mouseLeaveDelay" | "overlayClassName" | "onVisibleChange" | "openClassName" | "onUpdate:visible">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<{
            content?: unknown;
            title?: unknown;
            trigger?: unknown;
            visible?: unknown;
            defaultVisible?: unknown;
            placement?: unknown;
            color?: unknown;
            transitionName?: unknown;
            overlayStyle?: unknown;
            overlayClassName?: unknown;
            openClassName?: unknown;
            prefixCls?: unknown;
            mouseEnterDelay?: unknown;
            mouseLeaveDelay?: unknown;
            getPopupContainer?: unknown;
            arrowPointAtCenter?: unknown;
            autoAdjustOverflow?: unknown;
            destroyTooltipOnHide?: unknown;
            align?: unknown;
            builtinPlacements?: unknown;
            children?: unknown;
            onVisibleChange?: unknown;
            'onUpdate:visible'?: unknown;
        } & {
            align: {
                [key: string]: any;
            };
            prefixCls: string;
            color: string;
            children: unknown[];
            transitionName: string;
            builtinPlacements: {
                [key: string]: any;
            };
            mouseEnterDelay: number;
            mouseLeaveDelay: number;
            overlayClassName: string;
            openClassName: string;
        } & {
            getPopupContainer?: (...args: any[]) => any;
            title?: any;
            content?: any;
            visible?: boolean;
            trigger?: "click" | "focus" | "contextmenu" | "hover" | ("click" | "focus" | "contextmenu" | "hover")[];
            defaultVisible?: boolean;
            placement?: "top" | "bottom" | "left" | "right" | "topLeft" | "topRight" | "bottomLeft" | "bottomRight" | "leftTop" | "leftBottom" | "rightTop" | "rightBottom";
            overlayStyle?: import("vue").CSSProperties;
            destroyTooltipOnHide?: boolean;
            onVisibleChange?: (...args: any[]) => any;
            autoAdjustOverflow?: boolean | {
                [key: string]: any;
            };
            arrowPointAtCenter?: boolean;
            "onUpdate:visible"?: (...args: any[]) => any;
        }>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, {
            align: {
                [key: string]: any;
            };
            prefixCls: string;
            getPopupContainer: (...args: any[]) => any;
            color: string;
            children: unknown[];
            transitionName: string;
            builtinPlacements: {
                [key: string]: any;
            };
            mouseEnterDelay: number;
            mouseLeaveDelay: number;
            overlayClassName: string;
            onVisibleChange: (...args: any[]) => any;
            openClassName: string;
            "onUpdate:visible": (...args: any[]) => any;
        }> & {
            beforeCreate?: (() => void) | (() => void)[];
            created?: (() => void) | (() => void)[];
            beforeMount?: (() => void) | (() => void)[];
            mounted?: (() => void) | (() => void)[];
            beforeUpdate?: (() => void) | (() => void)[];
            updated?: (() => void) | (() => void)[];
            activated?: (() => void) | (() => void)[];
            deactivated?: (() => void) | (() => void)[];
            beforeDestroy?: (() => void) | (() => void)[];
            beforeUnmount?: (() => void) | (() => void)[];
            destroyed?: (() => void) | (() => void)[];
            unmounted?: (() => void) | (() => void)[];
            renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void)[];
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
    } & Readonly<{
        content?: unknown;
        title?: unknown;
        trigger?: unknown;
        visible?: unknown;
        defaultVisible?: unknown;
        placement?: unknown;
        color?: unknown;
        transitionName?: unknown;
        overlayStyle?: unknown;
        overlayClassName?: unknown;
        openClassName?: unknown;
        prefixCls?: unknown;
        mouseEnterDelay?: unknown;
        mouseLeaveDelay?: unknown;
        getPopupContainer?: unknown;
        arrowPointAtCenter?: unknown;
        autoAdjustOverflow?: unknown;
        destroyTooltipOnHide?: unknown;
        align?: unknown;
        builtinPlacements?: unknown;
        children?: unknown;
        onVisibleChange?: unknown;
        'onUpdate:visible'?: unknown;
    } & {
        align: {
            [key: string]: any;
        };
        prefixCls: string;
        color: string;
        children: unknown[];
        transitionName: string;
        builtinPlacements: {
            [key: string]: any;
        };
        mouseEnterDelay: number;
        mouseLeaveDelay: number;
        overlayClassName: string;
        openClassName: string;
    } & {
        getPopupContainer?: (...args: any[]) => any;
        title?: any;
        content?: any;
        visible?: boolean;
        trigger?: "click" | "focus" | "contextmenu" | "hover" | ("click" | "focus" | "contextmenu" | "hover")[];
        defaultVisible?: boolean;
        placement?: "top" | "bottom" | "left" | "right" | "topLeft" | "topRight" | "bottomLeft" | "bottomRight" | "leftTop" | "leftBottom" | "rightTop" | "rightBottom";
        overlayStyle?: import("vue").CSSProperties;
        destroyTooltipOnHide?: boolean;
        onVisibleChange?: (...args: any[]) => any;
        autoAdjustOverflow?: boolean | {
            [key: string]: any;
        };
        arrowPointAtCenter?: boolean;
        "onUpdate:visible"?: (...args: any[]) => any;
    }> & import("vue").ShallowUnwrapRef<() => JSX.Element> & {} & import("vue").ComponentCustomProperties;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<{
    content?: unknown;
    title?: unknown;
    trigger?: unknown;
    visible?: unknown;
    defaultVisible?: unknown;
    placement?: unknown;
    color?: unknown;
    transitionName?: unknown;
    overlayStyle?: unknown;
    overlayClassName?: unknown;
    openClassName?: unknown;
    prefixCls?: unknown;
    mouseEnterDelay?: unknown;
    mouseLeaveDelay?: unknown;
    getPopupContainer?: unknown;
    arrowPointAtCenter?: unknown;
    autoAdjustOverflow?: unknown;
    destroyTooltipOnHide?: unknown;
    align?: unknown;
    builtinPlacements?: unknown;
    children?: unknown;
    onVisibleChange?: unknown;
    'onUpdate:visible'?: unknown;
} & {
    align: {
        [key: string]: any;
    };
    prefixCls: string;
    color: string;
    children: unknown[];
    transitionName: string;
    builtinPlacements: {
        [key: string]: any;
    };
    mouseEnterDelay: number;
    mouseLeaveDelay: number;
    overlayClassName: string;
    openClassName: string;
} & {
    getPopupContainer?: (...args: any[]) => any;
    title?: any;
    content?: any;
    visible?: boolean;
    trigger?: "click" | "focus" | "contextmenu" | "hover" | ("click" | "focus" | "contextmenu" | "hover")[];
    defaultVisible?: boolean;
    placement?: "top" | "bottom" | "left" | "right" | "topLeft" | "topRight" | "bottomLeft" | "bottomRight" | "leftTop" | "leftBottom" | "rightTop" | "rightBottom";
    overlayStyle?: import("vue").CSSProperties;
    destroyTooltipOnHide?: boolean;
    onVisibleChange?: (...args: any[]) => any;
    autoAdjustOverflow?: boolean | {
        [key: string]: any;
    };
    arrowPointAtCenter?: boolean;
    "onUpdate:visible"?: (...args: any[]) => any;
}>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, {
    align: {
        [key: string]: any;
    };
    prefixCls: string;
    getPopupContainer: (...args: any[]) => any;
    color: string;
    children: unknown[];
    transitionName: string;
    builtinPlacements: {
        [key: string]: any;
    };
    mouseEnterDelay: number;
    mouseLeaveDelay: number;
    overlayClassName: string;
    onVisibleChange: (...args: any[]) => any;
    openClassName: string;
    "onUpdate:visible": (...args: any[]) => any;
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("@vue/runtime-core").Plugin;
export default _default;
