import type { Plugin } from 'vue';
import { setDefaultIndicator } from './Spin';
export type { SpinProps } from './Spin';
export { spinProps } from './Spin';
declare const _default: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {
            sSpinning: boolean;
        };
        $props: Partial<{
            prefixCls: string;
            wrapperClassName: string;
            tip: string;
            delay: number;
        }> & Omit<Readonly<{
            prefixCls?: unknown;
            spinning?: unknown;
            size?: unknown;
            wrapperClassName?: unknown;
            tip?: unknown;
            delay?: unknown;
            indicator?: unknown;
        } & {
            prefixCls: string;
            wrapperClassName: string;
            tip: string;
            delay: number;
        } & {
            size?: "default" | "small" | "large";
            spinning?: boolean;
            indicator?: any;
        }> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "prefixCls" | "wrapperClassName" | "tip" | "delay">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<{
            prefixCls?: unknown;
            spinning?: unknown;
            size?: unknown;
            wrapperClassName?: unknown;
            tip?: unknown;
            delay?: unknown;
            indicator?: unknown;
        } & {
            prefixCls: string;
            wrapperClassName: string;
            tip: string;
            delay: number;
        } & {
            size?: "default" | "small" | "large";
            spinning?: boolean;
            indicator?: any;
        }>, {
            originalUpdateSpinning: any;
            configProvider: Partial<{
                getTargetContainer?: unknown;
                getPopupContainer?: unknown;
                prefixCls?: unknown;
                getPrefixCls?: unknown;
                renderEmpty?: unknown;
                transformCellText?: unknown;
                csp?: unknown;
                autoInsertSpaceInButton?: unknown;
                locale?: unknown;
                pageHeader?: unknown;
                componentSize?: unknown;
                direction?: unknown;
                space?: unknown;
                virtual?: unknown;
                dropdownMatchSelectWidth?: unknown;
                form?: unknown;
                notUpdateGlobalConfig?: unknown;
            } & {
                dropdownMatchSelectWidth: number | boolean;
                notUpdateGlobalConfig: boolean;
            } & {
                prefixCls?: string;
                getTargetContainer?: () => any;
                getPopupContainer?: (triggerNode: any) => any;
                getPrefixCls?: (suffixCls?: string, customizePrefixCls?: string) => string;
                renderEmpty?: typeof import("../config-provider/renderEmpty").default;
                transformCellText?: (tableProps: import("../table/interface").TransformCellTextProps) => any;
                csp?: unknown;
                autoInsertSpaceInButton?: boolean;
                locale?: import("../locale-provider").Locale;
                pageHeader?: {
                    ghost: boolean;
                };
                componentSize?: import("../config-provider").SizeType;
                direction?: "ltr" | "rtl";
                space?: {
                    size: number | import("../config-provider").SizeType;
                };
                virtual?: boolean;
                form?: unknown;
            }>;
        }, {
            sSpinning: boolean;
        }, {}, {
            debouncifyUpdateSpinning(props?: any): void;
            updateSpinning(): void;
            cancelExistingSpin(): void;
            renderIndicator(prefixCls: string): JSX.Element;
        }, {
            methods: {
                setState(state: {}, callback: any): void;
                __emit(...args: any[]): void;
            };
        }, import("vue").ComponentOptionsMixin, Record<string, any>, string, {
            prefixCls: string;
            wrapperClassName: string;
            tip: string;
            delay: number;
        }> & {
            beforeCreate?: (() => void) | (() => void)[];
            created?: (() => void) | (() => void)[];
            beforeMount?: (() => void) | (() => void)[];
            mounted?: (() => void) | (() => void)[];
            beforeUpdate?: (() => void) | (() => void)[];
            updated?: (() => void) | (() => void)[];
            activated?: (() => void) | (() => void)[];
            deactivated?: (() => void) | (() => void)[];
            beforeDestroy?: (() => void) | (() => void)[];
            beforeUnmount?: (() => void) | (() => void)[];
            destroyed?: (() => void) | (() => void)[];
            unmounted?: (() => void) | (() => void)[];
            renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void)[];
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
    } & Readonly<{
        prefixCls?: unknown;
        spinning?: unknown;
        size?: unknown;
        wrapperClassName?: unknown;
        tip?: unknown;
        delay?: unknown;
        indicator?: unknown;
    } & {
        prefixCls: string;
        wrapperClassName: string;
        tip: string;
        delay: number;
    } & {
        size?: "default" | "small" | "large";
        spinning?: boolean;
        indicator?: any;
    }> & import("vue").ShallowUnwrapRef<{
        originalUpdateSpinning: any;
        configProvider: Partial<{
            getTargetContainer?: unknown;
            getPopupContainer?: unknown;
            prefixCls?: unknown;
            getPrefixCls?: unknown;
            renderEmpty?: unknown;
            transformCellText?: unknown;
            csp?: unknown;
            autoInsertSpaceInButton?: unknown;
            locale?: unknown;
            pageHeader?: unknown;
            componentSize?: unknown;
            direction?: unknown;
            space?: unknown;
            virtual?: unknown;
            dropdownMatchSelectWidth?: unknown;
            form?: unknown;
            notUpdateGlobalConfig?: unknown;
        } & {
            dropdownMatchSelectWidth: number | boolean;
            notUpdateGlobalConfig: boolean;
        } & {
            prefixCls?: string;
            getTargetContainer?: () => any;
            getPopupContainer?: (triggerNode: any) => any;
            getPrefixCls?: (suffixCls?: string, customizePrefixCls?: string) => string;
            renderEmpty?: typeof import("../config-provider/renderEmpty").default;
            transformCellText?: (tableProps: import("../table/interface").TransformCellTextProps) => any;
            csp?: unknown;
            autoInsertSpaceInButton?: boolean;
            locale?: import("../locale-provider").Locale;
            pageHeader?: {
                ghost: boolean;
            };
            componentSize?: import("../config-provider").SizeType;
            direction?: "ltr" | "rtl";
            space?: {
                size: number | import("../config-provider").SizeType;
            };
            virtual?: boolean;
            form?: unknown;
        }>;
    }> & {
        sSpinning: boolean;
    } & {
        [x: string]: never;
    } & {
        setState(state: {}, callback: any): void;
        __emit(...args: any[]): void;
    } & {
        debouncifyUpdateSpinning(props?: any): void;
        updateSpinning(): void;
        cancelExistingSpin(): void;
        renderIndicator(prefixCls: string): JSX.Element;
    } & import("vue").ComponentCustomProperties;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<{
    prefixCls?: unknown;
    spinning?: unknown;
    size?: unknown;
    wrapperClassName?: unknown;
    tip?: unknown;
    delay?: unknown;
    indicator?: unknown;
} & {
    prefixCls: string;
    wrapperClassName: string;
    tip: string;
    delay: number;
} & {
    size?: "default" | "small" | "large";
    spinning?: boolean;
    indicator?: any;
}>, {
    originalUpdateSpinning: any;
    configProvider: Partial<{
        getTargetContainer?: unknown;
        getPopupContainer?: unknown;
        prefixCls?: unknown;
        getPrefixCls?: unknown;
        renderEmpty?: unknown;
        transformCellText?: unknown;
        csp?: unknown;
        autoInsertSpaceInButton?: unknown;
        locale?: unknown;
        pageHeader?: unknown;
        componentSize?: unknown;
        direction?: unknown;
        space?: unknown;
        virtual?: unknown;
        dropdownMatchSelectWidth?: unknown;
        form?: unknown;
        notUpdateGlobalConfig?: unknown;
    } & {
        dropdownMatchSelectWidth: number | boolean;
        notUpdateGlobalConfig: boolean;
    } & {
        prefixCls?: string;
        getTargetContainer?: () => any;
        getPopupContainer?: (triggerNode: any) => any;
        getPrefixCls?: (suffixCls?: string, customizePrefixCls?: string) => string;
        renderEmpty?: typeof import("../config-provider/renderEmpty").default;
        transformCellText?: (tableProps: import("../table/interface").TransformCellTextProps) => any;
        csp?: unknown;
        autoInsertSpaceInButton?: boolean;
        locale?: import("../locale-provider").Locale;
        pageHeader?: {
            ghost: boolean;
        };
        componentSize?: import("../config-provider").SizeType;
        direction?: "ltr" | "rtl";
        space?: {
            size: number | import("../config-provider").SizeType;
        };
        virtual?: boolean;
        form?: unknown;
    }>;
}, {
    sSpinning: boolean;
}, {}, {
    debouncifyUpdateSpinning(props?: any): void;
    updateSpinning(): void;
    cancelExistingSpin(): void;
    renderIndicator(prefixCls: string): JSX.Element;
}, {
    methods: {
        setState(state: {}, callback: any): void;
        __emit(...args: any[]): void;
    };
}, import("vue").ComponentOptionsMixin, Record<string, any>, string, {
    prefixCls: string;
    wrapperClassName: string;
    tip: string;
    delay: number;
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Plugin & {
    readonly setDefaultIndicator: typeof setDefaultIndicator;
};
export default _default;
