import type { Plugin } from 'vue';
import DirectoryTree from './DirectoryTree';
export type { EventDataNode, DataNode } from '../vc-tree/interface';
export type { TreeProps, AntTreeNodeMouseEvent, AntTreeNodeExpandedEvent, AntTreeNodeCheckedEvent, AntTreeNodeSelectedEvent, AntTreeNodeDragEnterEvent, AntTreeNodeDropEvent, AntdTreeNodeAttribute, TreeDataItem, } from './Tree';
export type { ExpandAction as DirectoryTreeExpandAction, DirectoryTreeProps, } from './DirectoryTree';
export declare const TreeNode: any;
export { DirectoryTree };
declare const _default: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            disabled: boolean;
            prefixCls: string;
            virtual: boolean;
            multiple: boolean;
            selectable: boolean;
            draggable: boolean;
            checkable: boolean;
            focusable: boolean;
            showLine: boolean;
            showIcon: boolean;
            checkStrictly: boolean;
            defaultExpandParent: boolean;
            autoExpandParent: boolean;
            defaultExpandAll: boolean;
            blockNode: boolean;
        }> & Omit<Readonly<{
            showLine?: unknown;
            multiple?: unknown;
            autoExpandParent?: unknown;
            checkStrictly?: unknown;
            checkable?: unknown;
            disabled?: unknown;
            defaultExpandAll?: unknown;
            defaultExpandParent?: unknown;
            defaultExpandedKeys?: unknown;
            expandedKeys?: unknown;
            checkedKeys?: unknown;
            defaultCheckedKeys?: unknown;
            selectedKeys?: unknown;
            defaultSelectedKeys?: unknown;
            selectable?: unknown;
            loadedKeys?: unknown;
            draggable?: unknown;
            showIcon?: unknown;
            icon?: unknown;
            switcherIcon?: unknown;
            prefixCls?: unknown;
            replaceFields?: unknown;
            blockNode?: unknown;
            openAnimation?: unknown;
            focusable?: unknown;
            tabindex?: unknown;
            children?: unknown;
            treeData?: unknown;
            fieldNames?: unknown;
            allowDrop?: unknown;
            dropIndicatorRender?: unknown;
            onFocus?: unknown;
            onBlur?: unknown;
            onKeydown?: unknown;
            onContextmenu?: unknown;
            onClick?: unknown;
            onDblclick?: unknown;
            onScroll?: unknown;
            onExpand?: unknown;
            onCheck?: unknown;
            onSelect?: unknown;
            onLoad?: unknown;
            loadData?: unknown;
            onMouseenter?: unknown;
            onMouseleave?: unknown;
            onRightClick?: unknown;
            onDragstart?: unknown;
            onDragenter?: unknown;
            onDragover?: unknown;
            onDragleave?: unknown;
            onDragend?: unknown;
            onDrop?: unknown;
            onActiveChange?: unknown;
            filterTreeNode?: unknown;
            motion?: unknown;
            height?: unknown;
            itemHeight?: unknown;
            virtual?: unknown;
            direction?: unknown;
        } & {
            prefixCls: string;
        } & {
            disabled?: boolean;
            height?: number;
            direction?: import("../vc-tree/interface").Direction;
            virtual?: boolean;
            onDragend?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
            onDragenter?: (info: import("../vc-tree/contextTypes").NodeDragEventParams & {
                expandedKeys: import("../vc-tree/interface").Key[];
            }) => void;
            onDragleave?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
            onDragover?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
            onDragstart?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
            onDrop?: (info: import("../vc-tree/contextTypes").NodeDragEventParams & {
                dragNode: import("../vc-tree/interface").EventDataNode;
                dragNodesKeys: import("../vc-tree/interface").Key[];
                dropPosition: number;
                dropToGap: boolean;
            }) => void;
            onFocus?: (e: any) => void;
            onBlur?: (e: any) => void;
            onLoad?: (loadedKeys: import("../vc-tree/interface").Key[], info: {
                event: "load";
                node: import("../vc-tree/interface").EventDataNode;
            }) => void;
            onKeydown?: import("../_util/EventInterface").EventHandler;
            onClick?: import("../vc-tree/contextTypes").NodeMouseEventHandler;
            onContextmenu?: import("../_util/EventInterface").EventHandler;
            onDblclick?: import("../vc-tree/contextTypes").NodeMouseEventHandler;
            onMouseenter?: (info: import("../vc-tree/contextTypes").NodeMouseEventParams) => void;
            onMouseleave?: (info: import("../vc-tree/contextTypes").NodeMouseEventParams) => void;
            onSelect?: (selectedKeys: import("../vc-tree/interface").Key[], info: {
                event: "select";
                selected: boolean;
                node: import("../vc-tree/interface").EventDataNode;
                selectedNodes: import("../vc-tree/interface").DataNode[];
                nativeEvent: any;
            }) => void;
            onScroll?: import("../_util/EventInterface").EventHandler;
            icon?: (nodeProps: import("./Tree").AntdTreeNodeAttribute) => any;
            multiple?: boolean;
            tabindex?: number;
            children?: import("../_util/type").VueNode;
            motion?: any;
            selectedKeys?: import("../vc-tree/interface").Key[];
            selectable?: boolean;
            itemHeight?: number;
            checkedKeys?: import("../vc-tree/interface").Key[] | {
                checked: import("../vc-tree/interface").Key[];
                halfChecked: import("../vc-tree/interface").Key[];
            };
            draggable?: boolean;
            checkable?: boolean;
            switcherIcon?: any;
            focusable?: boolean;
            expandedKeys?: import("../vc-tree/interface").Key[];
            loadedKeys?: import("../vc-tree/interface").Key[];
            onActiveChange?: (key: import("../vc-tree/interface").Key) => void;
            treeData?: import("../vc-tree/interface").DataNode[];
            fieldNames?: unknown;
            showLine?: boolean;
            showIcon?: boolean;
            checkStrictly?: boolean;
            defaultExpandParent?: boolean;
            autoExpandParent?: boolean;
            defaultExpandAll?: boolean;
            defaultExpandedKeys?: import("../vc-tree/interface").Key[];
            defaultCheckedKeys?: import("../vc-tree/interface").Key[];
            defaultSelectedKeys?: import("../vc-tree/interface").Key[];
            allowDrop?: import("../vc-tree/props").AllowDrop;
            dropIndicatorRender?: (props: {
                dropPosition: 0 | 1 | -1;
                dropLevelOffset: number;
                indent: number;
                prefixCls: string;
                direction: import("../vc-tree/interface").Direction;
            }) => any;
            onExpand?: (expandedKeys: import("../vc-tree/interface").Key[], info: {
                node: import("../vc-tree/interface").EventDataNode;
                expanded: boolean;
                nativeEvent: any;
            }) => void;
            onCheck?: (checked: import("../vc-tree/interface").Key[] | {
                checked: import("../vc-tree/interface").Key[];
                halfChecked: import("../vc-tree/interface").Key[];
            }, info: import("../vc-tree/props").CheckInfo) => void;
            loadData?: (treeNode: import("../vc-tree/interface").EventDataNode) => Promise<void>;
            onRightClick?: (info: {
                event: any;
                node: import("../vc-tree/interface").EventDataNode;
            }) => void;
            filterTreeNode?: (treeNode: import("../vc-tree/interface").EventDataNode) => boolean;
            replaceFields?: unknown;
            blockNode?: boolean;
            openAnimation?: any;
        }> & {
            onDblclick?: (...args: any[]) => any;
            onSelect?: (...args: any[]) => any;
            "onUpdate:selectedKeys"?: (...args: any[]) => any;
            onExpand?: (...args: any[]) => any;
            onCheck?: (...args: any[]) => any;
            "onUpdate:checkedKeys"?: (...args: any[]) => any;
            "onUpdate:expandedKeys"?: (...args: any[]) => any;
            onDoubleclick?: (...args: any[]) => any;
        } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "disabled" | "prefixCls" | "virtual" | "multiple" | "selectable" | "draggable" | "checkable" | "focusable" | "showLine" | "showIcon" | "checkStrictly" | "defaultExpandParent" | "autoExpandParent" | "defaultExpandAll" | "blockNode">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $emit: (event: "select" | "update:selectedKeys" | "check" | "update:checkedKeys" | "update:expandedKeys" | "expand" | "doubleclick" | "dblclick", ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<{
            showLine?: unknown;
            multiple?: unknown;
            autoExpandParent?: unknown;
            checkStrictly?: unknown;
            checkable?: unknown;
            disabled?: unknown;
            defaultExpandAll?: unknown;
            defaultExpandParent?: unknown;
            defaultExpandedKeys?: unknown;
            expandedKeys?: unknown;
            checkedKeys?: unknown;
            defaultCheckedKeys?: unknown;
            selectedKeys?: unknown;
            defaultSelectedKeys?: unknown;
            selectable?: unknown;
            loadedKeys?: unknown;
            draggable?: unknown;
            showIcon?: unknown;
            icon?: unknown;
            switcherIcon?: unknown;
            prefixCls?: unknown;
            replaceFields?: unknown;
            blockNode?: unknown;
            openAnimation?: unknown;
            focusable?: unknown;
            tabindex?: unknown;
            children?: unknown;
            treeData?: unknown;
            fieldNames?: unknown;
            allowDrop?: unknown;
            dropIndicatorRender?: unknown;
            onFocus?: unknown;
            onBlur?: unknown;
            onKeydown?: unknown;
            onContextmenu?: unknown;
            onClick?: unknown;
            onDblclick?: unknown;
            onScroll?: unknown;
            onExpand?: unknown;
            onCheck?: unknown;
            onSelect?: unknown;
            onLoad?: unknown;
            loadData?: unknown;
            onMouseenter?: unknown;
            onMouseleave?: unknown;
            onRightClick?: unknown;
            onDragstart?: unknown;
            onDragenter?: unknown;
            onDragover?: unknown;
            onDragleave?: unknown;
            onDragend?: unknown;
            onDrop?: unknown;
            onActiveChange?: unknown;
            filterTreeNode?: unknown;
            motion?: unknown;
            height?: unknown;
            itemHeight?: unknown;
            virtual?: unknown;
            direction?: unknown;
        } & {
            prefixCls: string;
        } & {
            disabled?: boolean;
            height?: number;
            direction?: import("../vc-tree/interface").Direction;
            virtual?: boolean;
            onDragend?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
            onDragenter?: (info: import("../vc-tree/contextTypes").NodeDragEventParams & {
                expandedKeys: import("../vc-tree/interface").Key[];
            }) => void;
            onDragleave?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
            onDragover?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
            onDragstart?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
            onDrop?: (info: import("../vc-tree/contextTypes").NodeDragEventParams & {
                dragNode: import("../vc-tree/interface").EventDataNode;
                dragNodesKeys: import("../vc-tree/interface").Key[];
                dropPosition: number;
                dropToGap: boolean;
            }) => void;
            onFocus?: (e: any) => void;
            onBlur?: (e: any) => void;
            onLoad?: (loadedKeys: import("../vc-tree/interface").Key[], info: {
                event: "load";
                node: import("../vc-tree/interface").EventDataNode;
            }) => void;
            onKeydown?: import("../_util/EventInterface").EventHandler;
            onClick?: import("../vc-tree/contextTypes").NodeMouseEventHandler;
            onContextmenu?: import("../_util/EventInterface").EventHandler;
            onDblclick?: import("../vc-tree/contextTypes").NodeMouseEventHandler;
            onMouseenter?: (info: import("../vc-tree/contextTypes").NodeMouseEventParams) => void;
            onMouseleave?: (info: import("../vc-tree/contextTypes").NodeMouseEventParams) => void;
            onSelect?: (selectedKeys: import("../vc-tree/interface").Key[], info: {
                event: "select";
                selected: boolean;
                node: import("../vc-tree/interface").EventDataNode;
                selectedNodes: import("../vc-tree/interface").DataNode[];
                nativeEvent: any;
            }) => void;
            onScroll?: import("../_util/EventInterface").EventHandler;
            icon?: (nodeProps: import("./Tree").AntdTreeNodeAttribute) => any;
            multiple?: boolean;
            tabindex?: number;
            children?: import("../_util/type").VueNode;
            motion?: any;
            selectedKeys?: import("../vc-tree/interface").Key[];
            selectable?: boolean;
            itemHeight?: number;
            checkedKeys?: import("../vc-tree/interface").Key[] | {
                checked: import("../vc-tree/interface").Key[];
                halfChecked: import("../vc-tree/interface").Key[];
            };
            draggable?: boolean;
            checkable?: boolean;
            switcherIcon?: any;
            focusable?: boolean;
            expandedKeys?: import("../vc-tree/interface").Key[];
            loadedKeys?: import("../vc-tree/interface").Key[];
            onActiveChange?: (key: import("../vc-tree/interface").Key) => void;
            treeData?: import("../vc-tree/interface").DataNode[];
            fieldNames?: unknown;
            showLine?: boolean;
            showIcon?: boolean;
            checkStrictly?: boolean;
            defaultExpandParent?: boolean;
            autoExpandParent?: boolean;
            defaultExpandAll?: boolean;
            defaultExpandedKeys?: import("../vc-tree/interface").Key[];
            defaultCheckedKeys?: import("../vc-tree/interface").Key[];
            defaultSelectedKeys?: import("../vc-tree/interface").Key[];
            allowDrop?: import("../vc-tree/props").AllowDrop;
            dropIndicatorRender?: (props: {
                dropPosition: 0 | 1 | -1;
                dropLevelOffset: number;
                indent: number;
                prefixCls: string;
                direction: import("../vc-tree/interface").Direction;
            }) => any;
            onExpand?: (expandedKeys: import("../vc-tree/interface").Key[], info: {
                node: import("../vc-tree/interface").EventDataNode;
                expanded: boolean;
                nativeEvent: any;
            }) => void;
            onCheck?: (checked: import("../vc-tree/interface").Key[] | {
                checked: import("../vc-tree/interface").Key[];
                halfChecked: import("../vc-tree/interface").Key[];
            }, info: import("../vc-tree/props").CheckInfo) => void;
            loadData?: (treeNode: import("../vc-tree/interface").EventDataNode) => Promise<void>;
            onRightClick?: (info: {
                event: any;
                node: import("../vc-tree/interface").EventDataNode;
            }) => void;
            filterTreeNode?: (treeNode: import("../vc-tree/interface").EventDataNode) => boolean;
            replaceFields?: unknown;
            blockNode?: boolean;
            openAnimation?: any;
        }> & {
            onDblclick?: (...args: any[]) => any;
            onSelect?: (...args: any[]) => any;
            "onUpdate:selectedKeys"?: (...args: any[]) => any;
            onExpand?: (...args: any[]) => any;
            onCheck?: (...args: any[]) => any;
            "onUpdate:checkedKeys"?: (...args: any[]) => any;
            "onUpdate:expandedKeys"?: (...args: any[]) => any;
            onDoubleclick?: (...args: any[]) => any;
        }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("select" | "update:selectedKeys" | "check" | "update:checkedKeys" | "update:expandedKeys" | "expand" | "doubleclick" | "dblclick")[], string, {
            disabled: boolean;
            prefixCls: string;
            virtual: boolean;
            multiple: boolean;
            selectable: boolean;
            draggable: boolean;
            checkable: boolean;
            focusable: boolean;
            showLine: boolean;
            showIcon: boolean;
            checkStrictly: boolean;
            defaultExpandParent: boolean;
            autoExpandParent: boolean;
            defaultExpandAll: boolean;
            blockNode: boolean;
        }> & {
            beforeCreate?: (() => void) | (() => void)[];
            created?: (() => void) | (() => void)[];
            beforeMount?: (() => void) | (() => void)[];
            mounted?: (() => void) | (() => void)[];
            beforeUpdate?: (() => void) | (() => void)[];
            updated?: (() => void) | (() => void)[];
            activated?: (() => void) | (() => void)[];
            deactivated?: (() => void) | (() => void)[];
            beforeDestroy?: (() => void) | (() => void)[];
            beforeUnmount?: (() => void) | (() => void)[];
            destroyed?: (() => void) | (() => void)[];
            unmounted?: (() => void) | (() => void)[];
            renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void)[];
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
    } & Readonly<{
        showLine?: unknown;
        multiple?: unknown;
        autoExpandParent?: unknown;
        checkStrictly?: unknown;
        checkable?: unknown;
        disabled?: unknown;
        defaultExpandAll?: unknown;
        defaultExpandParent?: unknown;
        defaultExpandedKeys?: unknown;
        expandedKeys?: unknown;
        checkedKeys?: unknown;
        defaultCheckedKeys?: unknown;
        selectedKeys?: unknown;
        defaultSelectedKeys?: unknown;
        selectable?: unknown;
        loadedKeys?: unknown;
        draggable?: unknown;
        showIcon?: unknown;
        icon?: unknown;
        switcherIcon?: unknown;
        prefixCls?: unknown;
        replaceFields?: unknown;
        blockNode?: unknown;
        openAnimation?: unknown;
        focusable?: unknown;
        tabindex?: unknown;
        children?: unknown;
        treeData?: unknown;
        fieldNames?: unknown;
        allowDrop?: unknown;
        dropIndicatorRender?: unknown;
        onFocus?: unknown;
        onBlur?: unknown;
        onKeydown?: unknown;
        onContextmenu?: unknown;
        onClick?: unknown;
        onDblclick?: unknown;
        onScroll?: unknown;
        onExpand?: unknown;
        onCheck?: unknown;
        onSelect?: unknown;
        onLoad?: unknown;
        loadData?: unknown;
        onMouseenter?: unknown;
        onMouseleave?: unknown;
        onRightClick?: unknown;
        onDragstart?: unknown;
        onDragenter?: unknown;
        onDragover?: unknown;
        onDragleave?: unknown;
        onDragend?: unknown;
        onDrop?: unknown;
        onActiveChange?: unknown;
        filterTreeNode?: unknown;
        motion?: unknown;
        height?: unknown;
        itemHeight?: unknown;
        virtual?: unknown;
        direction?: unknown;
    } & {
        prefixCls: string;
    } & {
        disabled?: boolean;
        height?: number;
        direction?: import("../vc-tree/interface").Direction;
        virtual?: boolean;
        onDragend?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
        onDragenter?: (info: import("../vc-tree/contextTypes").NodeDragEventParams & {
            expandedKeys: import("../vc-tree/interface").Key[];
        }) => void;
        onDragleave?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
        onDragover?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
        onDragstart?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
        onDrop?: (info: import("../vc-tree/contextTypes").NodeDragEventParams & {
            dragNode: import("../vc-tree/interface").EventDataNode;
            dragNodesKeys: import("../vc-tree/interface").Key[];
            dropPosition: number;
            dropToGap: boolean;
        }) => void;
        onFocus?: (e: any) => void;
        onBlur?: (e: any) => void;
        onLoad?: (loadedKeys: import("../vc-tree/interface").Key[], info: {
            event: "load";
            node: import("../vc-tree/interface").EventDataNode;
        }) => void;
        onKeydown?: import("../_util/EventInterface").EventHandler;
        onClick?: import("../vc-tree/contextTypes").NodeMouseEventHandler;
        onContextmenu?: import("../_util/EventInterface").EventHandler;
        onDblclick?: import("../vc-tree/contextTypes").NodeMouseEventHandler;
        onMouseenter?: (info: import("../vc-tree/contextTypes").NodeMouseEventParams) => void;
        onMouseleave?: (info: import("../vc-tree/contextTypes").NodeMouseEventParams) => void;
        onSelect?: (selectedKeys: import("../vc-tree/interface").Key[], info: {
            event: "select";
            selected: boolean;
            node: import("../vc-tree/interface").EventDataNode;
            selectedNodes: import("../vc-tree/interface").DataNode[];
            nativeEvent: any;
        }) => void;
        onScroll?: import("../_util/EventInterface").EventHandler;
        icon?: (nodeProps: import("./Tree").AntdTreeNodeAttribute) => any;
        multiple?: boolean;
        tabindex?: number;
        children?: import("../_util/type").VueNode;
        motion?: any;
        selectedKeys?: import("../vc-tree/interface").Key[];
        selectable?: boolean;
        itemHeight?: number;
        checkedKeys?: import("../vc-tree/interface").Key[] | {
            checked: import("../vc-tree/interface").Key[];
            halfChecked: import("../vc-tree/interface").Key[];
        };
        draggable?: boolean;
        checkable?: boolean;
        switcherIcon?: any;
        focusable?: boolean;
        expandedKeys?: import("../vc-tree/interface").Key[];
        loadedKeys?: import("../vc-tree/interface").Key[];
        onActiveChange?: (key: import("../vc-tree/interface").Key) => void;
        treeData?: import("../vc-tree/interface").DataNode[];
        fieldNames?: unknown;
        showLine?: boolean;
        showIcon?: boolean;
        checkStrictly?: boolean;
        defaultExpandParent?: boolean;
        autoExpandParent?: boolean;
        defaultExpandAll?: boolean;
        defaultExpandedKeys?: import("../vc-tree/interface").Key[];
        defaultCheckedKeys?: import("../vc-tree/interface").Key[];
        defaultSelectedKeys?: import("../vc-tree/interface").Key[];
        allowDrop?: import("../vc-tree/props").AllowDrop;
        dropIndicatorRender?: (props: {
            dropPosition: 0 | 1 | -1;
            dropLevelOffset: number;
            indent: number;
            prefixCls: string;
            direction: import("../vc-tree/interface").Direction;
        }) => any;
        onExpand?: (expandedKeys: import("../vc-tree/interface").Key[], info: {
            node: import("../vc-tree/interface").EventDataNode;
            expanded: boolean;
            nativeEvent: any;
        }) => void;
        onCheck?: (checked: import("../vc-tree/interface").Key[] | {
            checked: import("../vc-tree/interface").Key[];
            halfChecked: import("../vc-tree/interface").Key[];
        }, info: import("../vc-tree/props").CheckInfo) => void;
        loadData?: (treeNode: import("../vc-tree/interface").EventDataNode) => Promise<void>;
        onRightClick?: (info: {
            event: any;
            node: import("../vc-tree/interface").EventDataNode;
        }) => void;
        filterTreeNode?: (treeNode: import("../vc-tree/interface").EventDataNode) => boolean;
        replaceFields?: unknown;
        blockNode?: boolean;
        openAnimation?: any;
    }> & {
        onDblclick?: (...args: any[]) => any;
        onSelect?: (...args: any[]) => any;
        "onUpdate:selectedKeys"?: (...args: any[]) => any;
        onExpand?: (...args: any[]) => any;
        onCheck?: (...args: any[]) => any;
        "onUpdate:checkedKeys"?: (...args: any[]) => any;
        "onUpdate:expandedKeys"?: (...args: any[]) => any;
        onDoubleclick?: (...args: any[]) => any;
    } & import("vue").ShallowUnwrapRef<() => JSX.Element> & {} & import("vue").ComponentCustomProperties;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<{
    showLine?: unknown;
    multiple?: unknown;
    autoExpandParent?: unknown;
    checkStrictly?: unknown;
    checkable?: unknown;
    disabled?: unknown;
    defaultExpandAll?: unknown;
    defaultExpandParent?: unknown;
    defaultExpandedKeys?: unknown;
    expandedKeys?: unknown;
    checkedKeys?: unknown;
    defaultCheckedKeys?: unknown;
    selectedKeys?: unknown;
    defaultSelectedKeys?: unknown;
    selectable?: unknown;
    loadedKeys?: unknown;
    draggable?: unknown;
    showIcon?: unknown;
    icon?: unknown;
    switcherIcon?: unknown;
    prefixCls?: unknown;
    replaceFields?: unknown;
    blockNode?: unknown;
    openAnimation?: unknown;
    focusable?: unknown;
    tabindex?: unknown;
    children?: unknown;
    treeData?: unknown;
    fieldNames?: unknown;
    allowDrop?: unknown;
    dropIndicatorRender?: unknown;
    onFocus?: unknown;
    onBlur?: unknown;
    onKeydown?: unknown;
    onContextmenu?: unknown;
    onClick?: unknown;
    onDblclick?: unknown;
    onScroll?: unknown;
    onExpand?: unknown;
    onCheck?: unknown;
    onSelect?: unknown;
    onLoad?: unknown;
    loadData?: unknown;
    onMouseenter?: unknown;
    onMouseleave?: unknown;
    onRightClick?: unknown;
    onDragstart?: unknown;
    onDragenter?: unknown;
    onDragover?: unknown;
    onDragleave?: unknown;
    onDragend?: unknown;
    onDrop?: unknown;
    onActiveChange?: unknown;
    filterTreeNode?: unknown;
    motion?: unknown;
    height?: unknown;
    itemHeight?: unknown;
    virtual?: unknown;
    direction?: unknown;
} & {
    prefixCls: string;
} & {
    disabled?: boolean;
    height?: number;
    direction?: import("../vc-tree/interface").Direction;
    virtual?: boolean;
    onDragend?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
    onDragenter?: (info: import("../vc-tree/contextTypes").NodeDragEventParams & {
        expandedKeys: import("../vc-tree/interface").Key[];
    }) => void;
    onDragleave?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
    onDragover?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
    onDragstart?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
    onDrop?: (info: import("../vc-tree/contextTypes").NodeDragEventParams & {
        dragNode: import("../vc-tree/interface").EventDataNode;
        dragNodesKeys: import("../vc-tree/interface").Key[];
        dropPosition: number;
        dropToGap: boolean;
    }) => void;
    onFocus?: (e: any) => void;
    onBlur?: (e: any) => void;
    onLoad?: (loadedKeys: import("../vc-tree/interface").Key[], info: {
        event: "load";
        node: import("../vc-tree/interface").EventDataNode;
    }) => void;
    onKeydown?: import("../_util/EventInterface").EventHandler;
    onClick?: import("../vc-tree/contextTypes").NodeMouseEventHandler;
    onContextmenu?: import("../_util/EventInterface").EventHandler;
    onDblclick?: import("../vc-tree/contextTypes").NodeMouseEventHandler;
    onMouseenter?: (info: import("../vc-tree/contextTypes").NodeMouseEventParams) => void;
    onMouseleave?: (info: import("../vc-tree/contextTypes").NodeMouseEventParams) => void;
    onSelect?: (selectedKeys: import("../vc-tree/interface").Key[], info: {
        event: "select";
        selected: boolean;
        node: import("../vc-tree/interface").EventDataNode;
        selectedNodes: import("../vc-tree/interface").DataNode[];
        nativeEvent: any;
    }) => void;
    onScroll?: import("../_util/EventInterface").EventHandler;
    icon?: (nodeProps: import("./Tree").AntdTreeNodeAttribute) => any;
    multiple?: boolean;
    tabindex?: number;
    children?: import("../_util/type").VueNode;
    motion?: any;
    selectedKeys?: import("../vc-tree/interface").Key[];
    selectable?: boolean;
    itemHeight?: number;
    checkedKeys?: import("../vc-tree/interface").Key[] | {
        checked: import("../vc-tree/interface").Key[];
        halfChecked: import("../vc-tree/interface").Key[];
    };
    draggable?: boolean;
    checkable?: boolean;
    switcherIcon?: any;
    focusable?: boolean;
    expandedKeys?: import("../vc-tree/interface").Key[];
    loadedKeys?: import("../vc-tree/interface").Key[];
    onActiveChange?: (key: import("../vc-tree/interface").Key) => void;
    treeData?: import("../vc-tree/interface").DataNode[];
    fieldNames?: unknown;
    showLine?: boolean;
    showIcon?: boolean;
    checkStrictly?: boolean;
    defaultExpandParent?: boolean;
    autoExpandParent?: boolean;
    defaultExpandAll?: boolean;
    defaultExpandedKeys?: import("../vc-tree/interface").Key[];
    defaultCheckedKeys?: import("../vc-tree/interface").Key[];
    defaultSelectedKeys?: import("../vc-tree/interface").Key[];
    allowDrop?: import("../vc-tree/props").AllowDrop;
    dropIndicatorRender?: (props: {
        dropPosition: 0 | 1 | -1;
        dropLevelOffset: number;
        indent: number;
        prefixCls: string;
        direction: import("../vc-tree/interface").Direction;
    }) => any;
    onExpand?: (expandedKeys: import("../vc-tree/interface").Key[], info: {
        node: import("../vc-tree/interface").EventDataNode;
        expanded: boolean;
        nativeEvent: any;
    }) => void;
    onCheck?: (checked: import("../vc-tree/interface").Key[] | {
        checked: import("../vc-tree/interface").Key[];
        halfChecked: import("../vc-tree/interface").Key[];
    }, info: import("../vc-tree/props").CheckInfo) => void;
    loadData?: (treeNode: import("../vc-tree/interface").EventDataNode) => Promise<void>;
    onRightClick?: (info: {
        event: any;
        node: import("../vc-tree/interface").EventDataNode;
    }) => void;
    filterTreeNode?: (treeNode: import("../vc-tree/interface").EventDataNode) => boolean;
    replaceFields?: unknown;
    blockNode?: boolean;
    openAnimation?: any;
}> & {
    onDblclick?: (...args: any[]) => any;
    onSelect?: (...args: any[]) => any;
    "onUpdate:selectedKeys"?: (...args: any[]) => any;
    onExpand?: (...args: any[]) => any;
    onCheck?: (...args: any[]) => any;
    "onUpdate:checkedKeys"?: (...args: any[]) => any;
    "onUpdate:expandedKeys"?: (...args: any[]) => any;
    onDoubleclick?: (...args: any[]) => any;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("select" | "update:selectedKeys" | "check" | "update:checkedKeys" | "update:expandedKeys" | "expand" | "doubleclick" | "dblclick")[], "select" | "update:selectedKeys" | "check" | "update:checkedKeys" | "update:expandedKeys" | "expand" | "doubleclick" | "dblclick", {
    disabled: boolean;
    prefixCls: string;
    virtual: boolean;
    multiple: boolean;
    selectable: boolean;
    draggable: boolean;
    checkable: boolean;
    focusable: boolean;
    showLine: boolean;
    showIcon: boolean;
    checkStrictly: boolean;
    defaultExpandParent: boolean;
    autoExpandParent: boolean;
    defaultExpandAll: boolean;
    blockNode: boolean;
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Plugin & {
    readonly TreeNode: any;
    readonly DirectoryTree: typeof DirectoryTree;
};
export default _default;
