import type { GenerateConfig } from '../vc-select/generate';
import type { DefaultValueType, DataNode, LabelValueType, RawValueType, ChangeEventExtra, FlattenDataNode } from './interface';
export default function generate(config: {
    prefixCls: string;
    optionList: GenerateConfig<DataNode>['components']['optionList'];
}): import("vue").DefineComponent<{
    multiple: {
        type: BooleanConstructor;
        default: any;
    };
    showArrow: {
        type: BooleanConstructor;
        default: any;
    };
    showSearch: {
        type: BooleanConstructor;
        default: any;
    };
    open: {
        type: BooleanConstructor;
        default: any;
    };
    defaultOpen: {
        type: BooleanConstructor;
        default: any;
    };
    value: {
        type: import("vue").PropType<DefaultValueType>;
    };
    defaultValue: {
        type: import("vue").PropType<DefaultValueType>;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    placeholder: import("vue-types").VueTypeValidableDef<any>;
    inputValue: StringConstructor;
    searchValue: StringConstructor;
    autoClearSearchValue: {
        type: BooleanConstructor;
        default: any;
    };
    maxTagPlaceholder: {
        type: import("vue").PropType<(omittedValues: LabelValueType[]) => any>;
    };
    fieldNames: {
        type: import("vue").PropType<import("./interface").FieldNames>;
    };
    loadData: {
        type: import("vue").PropType<(dataNode: import("./interface").LegacyDataNode) => Promise<unknown>>;
    };
    treeNodeFilterProp: StringConstructor;
    treeNodeLabelProp: StringConstructor;
    treeDataSimpleMode: {
        type: import("vue").PropType<boolean | import("./interface").SimpleModeConfig>;
        default: any;
    };
    treeExpandedKeys: {
        type: import("vue").PropType<import("../_util/type").Key[]>;
    };
    treeDefaultExpandedKeys: {
        type: import("vue").PropType<import("../_util/type").Key[]>;
    };
    treeLoadedKeys: {
        type: import("vue").PropType<import("../_util/type").Key[]>;
    };
    treeCheckable: {
        type: BooleanConstructor;
        default: any;
    };
    treeCheckStrictly: {
        type: BooleanConstructor;
        default: any;
    };
    showCheckedStrategy: {
        type: import("vue").PropType<import("./utils/strategyUtil").CheckedStrategy>;
    };
    treeDefaultExpandAll: {
        type: BooleanConstructor;
        default: any;
    };
    treeData: {
        type: import("vue").PropType<DataNode[]>;
    };
    treeLine: {
        type: BooleanConstructor;
        default: any;
    };
    treeIcon: import("vue-types").VueTypeValidableDef<any>;
    showTreeIcon: {
        type: BooleanConstructor;
        default: any;
    };
    switcherIcon: import("vue-types").VueTypeValidableDef<any>;
    treeMotion: import("vue-types").VueTypeValidableDef<any>;
    children: ArrayConstructor;
    filterTreeNode: {
        type: import("vue").PropType<boolean | import("../vc-select/interface/generator").FilterFunc<import("./interface").LegacyDataNode>>;
        default: any;
    };
    dropdownPopupAlign: import("vue-types").VueTypeValidableDef<any>;
    onSearch: {
        type: import("vue").PropType<(value: string) => void>;
    };
    onChange: {
        type: import("vue").PropType<(value: DefaultValueType, labelList: any[], extra: ChangeEventExtra) => void>;
    };
    onTreeExpand: {
        type: import("vue").PropType<(expandedKeys: import("../_util/type").Key[]) => void>;
    };
    onTreeLoad: {
        type: import("vue").PropType<(loadedKeys: import("../_util/type").Key[]) => void>;
    };
    onDropdownVisibleChange: {
        type: import("vue").PropType<(open: boolean) => void>;
    };
    searchPlaceholder: import("vue-types").VueTypeValidableDef<any>;
    labelRender: {
        type: import("vue").PropType<(entity: FlattenDataNode) => any>;
    };
    prefixCls: StringConstructor;
    getPopupContainer: {
        type: import("vue").PropType<import("../vc-select/interface").RenderDOMFunc>;
    };
    direction: StringConstructor;
    virtual: {
        type: BooleanConstructor;
        default: any;
    };
    dropdownMatchSelectWidth: {
        type: import("vue").PropType<number | boolean>;
        default: any;
    };
    onFocus: {
        type: import("vue").PropType<(e: any) => void>;
    };
    onBlur: {
        type: import("vue").PropType<(e: any) => void>;
    };
    onKeydown: {
        type: import("vue").PropType<(e: any) => void>;
    };
    onKeyup: {
        type: import("vue").PropType<(e: any) => void>;
    };
    onClick: {
        type: import("vue").PropType<(e: any) => void>;
    };
    onMousedown: {
        type: import("vue").PropType<(e: any) => void>;
    };
    onMouseenter: {
        type: import("vue").PropType<(e: any) => void>;
    };
    onMouseleave: {
        type: import("vue").PropType<(e: any) => void>;
    };
    onSelect: {
        type: import("vue").PropType<(value: RawValueType | LabelValueType, option: DataNode) => void>;
    };
    tabindex: {
        type: (StringConstructor | NumberConstructor)[];
    };
    onDeselect: {
        type: import("vue").PropType<(value: RawValueType | LabelValueType, option: DataNode) => void>;
    };
    onClear: {
        type: import("vue").PropType<import("../vc-select/interface/generator").OnClear>;
    };
    id: StringConstructor;
    autofocus: {
        type: BooleanConstructor;
        default: any;
    };
    options: {
        type: import("vue").PropType<DataNode[]>;
    };
    animation: StringConstructor;
    transitionName: StringConstructor;
    showAction: {
        type: import("vue").PropType<("click" | "focus")[]>;
    };
    loading: {
        type: BooleanConstructor;
        default: any;
    };
    allowClear: {
        type: BooleanConstructor;
        default: any;
    };
    notFoundContent: import("vue-types").VueTypeValidableDef<any>;
    defaultActiveFirstOption: {
        type: BooleanConstructor;
        default: any;
    };
    labelInValue: {
        type: BooleanConstructor;
        default: any;
    };
    optionFilterProp: StringConstructor;
    onInputKeyDown: {
        type: import("vue").PropType<(e: any) => void>;
    };
    removeIcon: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
    maxTagCount: {
        type: import("vue").PropType<number | "responsive">;
    };
    maxTagTextLength: NumberConstructor;
    tagRender: {
        type: import("vue").PropType<(props: import("../vc-select/interface/generator").CustomTagProps) => any>;
    };
    choiceTransitionName: StringConstructor;
    dropdownStyle: {
        type: import("vue").PropType<import("vue").CSSProperties>;
    };
    dropdownClassName: StringConstructor;
    dropdownRender: {
        type: import("vue").PropType<(menu: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>) => any>;
    };
    filterSort: {
        type: import("vue").PropType<(optionA: DataNode, optionB: DataNode) => number>;
    };
    clearIcon: import("vue-types").VueTypeValidableDef<any>;
    inputIcon: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
    listHeight: NumberConstructor;
    listItemHeight: NumberConstructor;
    onPopupScroll: {
        type: import("vue").PropType<(e: any) => void>;
    };
    internalProps: {
        type: import("vue").PropType<{
            mark?: string;
            onClear?: import("../vc-select/interface/generator").OnClear;
            skipTriggerChange?: boolean;
            skipTriggerSelect?: boolean;
            onRawSelect?: (value: import("../vc-select/interface/generator").RawValueType, option: DataNode, source: import("../vc-select/interface/generator").SelectSource) => void;
            onRawDeselect?: (value: import("../vc-select/interface/generator").RawValueType, option: DataNode, source: import("../vc-select/interface/generator").SelectSource) => void;
        }>;
        default: {
            mark?: string;
            onClear?: import("../vc-select/interface/generator").OnClear;
            skipTriggerChange?: boolean;
            skipTriggerSelect?: boolean;
            onRawSelect?: (value: import("../vc-select/interface/generator").RawValueType, option: DataNode, source: import("../vc-select/interface/generator").SelectSource) => void;
            onRawDeselect?: (value: import("../vc-select/interface/generator").RawValueType, option: DataNode, source: import("../vc-select/interface/generator").SelectSource) => void;
        };
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    multiple?: unknown;
    showArrow?: unknown;
    showSearch?: unknown;
    open?: unknown;
    defaultOpen?: unknown;
    value?: unknown;
    defaultValue?: unknown;
    disabled?: unknown;
    placeholder?: unknown;
    inputValue?: unknown;
    searchValue?: unknown;
    autoClearSearchValue?: unknown;
    maxTagPlaceholder?: unknown;
    fieldNames?: unknown;
    loadData?: unknown;
    treeNodeFilterProp?: unknown;
    treeNodeLabelProp?: unknown;
    treeDataSimpleMode?: unknown;
    treeExpandedKeys?: unknown;
    treeDefaultExpandedKeys?: unknown;
    treeLoadedKeys?: unknown;
    treeCheckable?: unknown;
    treeCheckStrictly?: unknown;
    showCheckedStrategy?: unknown;
    treeDefaultExpandAll?: unknown;
    treeData?: unknown;
    treeLine?: unknown;
    treeIcon?: unknown;
    showTreeIcon?: unknown;
    switcherIcon?: unknown;
    treeMotion?: unknown;
    children?: unknown;
    filterTreeNode?: unknown;
    dropdownPopupAlign?: unknown;
    onSearch?: unknown;
    onChange?: unknown;
    onTreeExpand?: unknown;
    onTreeLoad?: unknown;
    onDropdownVisibleChange?: unknown;
    searchPlaceholder?: unknown;
    labelRender?: unknown;
    prefixCls?: unknown;
    getPopupContainer?: unknown;
    direction?: unknown;
    virtual?: unknown;
    dropdownMatchSelectWidth?: unknown;
    onFocus?: unknown;
    onBlur?: unknown;
    onKeydown?: unknown;
    onKeyup?: unknown;
    onClick?: unknown;
    onMousedown?: unknown;
    onMouseenter?: unknown;
    onMouseleave?: unknown;
    onSelect?: unknown;
    tabindex?: unknown;
    onDeselect?: unknown;
    onClear?: unknown;
    id?: unknown;
    autofocus?: unknown;
    options?: unknown;
    animation?: unknown;
    transitionName?: unknown;
    showAction?: unknown;
    loading?: unknown;
    allowClear?: unknown;
    notFoundContent?: unknown;
    defaultActiveFirstOption?: unknown;
    labelInValue?: unknown;
    optionFilterProp?: unknown;
    onInputKeyDown?: unknown;
    removeIcon?: unknown;
    maxTagCount?: unknown;
    maxTagTextLength?: unknown;
    tagRender?: unknown;
    choiceTransitionName?: unknown;
    dropdownStyle?: unknown;
    dropdownClassName?: unknown;
    dropdownRender?: unknown;
    filterSort?: unknown;
    clearIcon?: unknown;
    inputIcon?: unknown;
    listHeight?: unknown;
    listItemHeight?: unknown;
    onPopupScroll?: unknown;
    internalProps?: unknown;
} & {
    internalProps: {
        mark?: string;
        onClear?: import("../vc-select/interface/generator").OnClear;
        skipTriggerChange?: boolean;
        skipTriggerSelect?: boolean;
        onRawSelect?: (value: import("../vc-select/interface/generator").RawValueType, option: DataNode, source: import("../vc-select/interface/generator").SelectSource) => void;
        onRawDeselect?: (value: import("../vc-select/interface/generator").RawValueType, option: DataNode, source: import("../vc-select/interface/generator").SelectSource) => void;
    };
} & {
    value?: unknown;
    disabled?: boolean;
    prefixCls?: string;
    getPopupContainer?: import("../vc-select/interface").RenderDOMFunc;
    direction?: string;
    virtual?: boolean;
    dropdownMatchSelectWidth?: number | boolean;
    onFocus?: (e: any) => void;
    onBlur?: (e: any) => void;
    onChange?: (value: DefaultValueType, labelList: any[], extra: ChangeEventExtra) => void;
    onKeydown?: (e: any) => void;
    onKeyup?: (e: any) => void;
    onClick?: (e: any) => void;
    onMousedown?: (e: any) => void;
    onMouseenter?: (e: any) => void;
    onMouseleave?: (e: any) => void;
    onSelect?: (value: RawValueType | LabelValueType, option: DataNode) => void;
    open?: boolean;
    multiple?: boolean;
    tabindex?: string | number;
    onDeselect?: (value: RawValueType | LabelValueType, option: DataNode) => void;
    onClear?: import("../vc-select/interface/generator").OnClear;
    children?: unknown[];
    id?: string;
    autofocus?: boolean;
    defaultValue?: unknown;
    options?: DataNode[];
    animation?: string;
    transitionName?: string;
    showAction?: ("click" | "focus")[];
    loading?: boolean;
    allowClear?: boolean;
    placeholder?: any;
    onSearch?: (value: string) => void;
    notFoundContent?: any;
    searchPlaceholder?: any;
    defaultActiveFirstOption?: boolean;
    searchValue?: string;
    labelInValue?: boolean;
    optionFilterProp?: string;
    showSearch?: boolean;
    onInputKeyDown?: (e: any) => void;
    removeIcon?: import("../_util/type").VueNode;
    maxTagCount?: number | "responsive";
    maxTagTextLength?: number;
    maxTagPlaceholder?: (omittedValues: LabelValueType[]) => any;
    tagRender?: (props: import("../vc-select/interface/generator").CustomTagProps) => any;
    choiceTransitionName?: string;
    dropdownStyle?: unknown;
    dropdownClassName?: string;
    dropdownRender?: (menu: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>) => any;
    inputValue?: string;
    filterSort?: (optionA: DataNode, optionB: DataNode) => number;
    autoClearSearchValue?: boolean;
    clearIcon?: any;
    showArrow?: boolean;
    inputIcon?: import("../_util/type").VueNode;
    defaultOpen?: boolean;
    listHeight?: number;
    listItemHeight?: number;
    onPopupScroll?: (e: any) => void;
    onDropdownVisibleChange?: (open: boolean) => void;
    switcherIcon?: any;
    treeData?: DataNode[];
    fieldNames?: unknown;
    loadData?: (dataNode: import("./interface").LegacyDataNode) => Promise<unknown>;
    filterTreeNode?: boolean | import("../vc-select/interface/generator").FilterFunc<import("./interface").LegacyDataNode>;
    treeCheckStrictly?: boolean;
    treeCheckable?: boolean;
    showCheckedStrategy?: import("./utils/strategyUtil").CheckedStrategy;
    treeNodeFilterProp?: string;
    treeNodeLabelProp?: string;
    treeDataSimpleMode?: any;
    treeExpandedKeys?: import("../_util/type").Key[];
    treeDefaultExpandedKeys?: import("../_util/type").Key[];
    treeLoadedKeys?: import("../_util/type").Key[];
    treeDefaultExpandAll?: boolean;
    treeLine?: boolean;
    treeIcon?: any;
    showTreeIcon?: boolean;
    treeMotion?: any;
    dropdownPopupAlign?: any;
    onTreeExpand?: (expandedKeys: import("../_util/type").Key[]) => void;
    onTreeLoad?: (loadedKeys: import("../_util/type").Key[]) => void;
    labelRender?: (entity: FlattenDataNode) => any;
}>, {
    disabled: boolean;
    virtual: boolean;
    dropdownMatchSelectWidth: number | boolean;
    open: boolean;
    multiple: boolean;
    autofocus: boolean;
    loading: boolean;
    allowClear: boolean;
    defaultActiveFirstOption: boolean;
    labelInValue: boolean;
    showSearch: boolean;
    autoClearSearchValue: boolean;
    showArrow: boolean;
    defaultOpen: boolean;
    internalProps: {
        mark?: string;
        onClear?: import("../vc-select/interface/generator").OnClear;
        skipTriggerChange?: boolean;
        skipTriggerSelect?: boolean;
        onRawSelect?: (value: import("../vc-select/interface/generator").RawValueType, option: DataNode, source: import("../vc-select/interface/generator").SelectSource) => void;
        onRawDeselect?: (value: import("../vc-select/interface/generator").RawValueType, option: DataNode, source: import("../vc-select/interface/generator").SelectSource) => void;
    };
    filterTreeNode: boolean | import("../vc-select/interface/generator").FilterFunc<import("./interface").LegacyDataNode>;
    treeCheckStrictly: boolean;
    treeCheckable: boolean;
    treeDataSimpleMode: any;
    treeDefaultExpandAll: boolean;
    treeLine: boolean;
    showTreeIcon: boolean;
}>;
