import type { Dayjs } from 'dayjs';
import type { PickerProps, PickerDateProps, RangePickerProps as BaseRangePickerProps } from './generatePicker';
import type { ExtraDatePickerProps, ExtraRangePickerProps } from './generatePicker/props';
export declare type DatePickerProps = PickerProps<Dayjs> & ExtraDatePickerProps<Dayjs>;
export declare type MonthPickerProps = Omit<PickerDateProps<Dayjs>, 'picker'> & ExtraDatePickerProps<Dayjs>;
export declare type WeekPickerProps = Omit<PickerDateProps<Dayjs>, 'picker'> & ExtraDatePickerProps<Dayjs>;
export declare type RangePickerProps = BaseRangePickerProps<Dayjs> & ExtraRangePickerProps<Dayjs>;
declare const WeekPicker: import("vue").DefineComponent<{
    defaultPickerValue: {
        type: import("vue").PropType<string | Dayjs>;
    };
    defaultValue: {
        type: import("vue").PropType<string | Dayjs>;
    };
    value: {
        type: import("vue").PropType<string | Dayjs>;
    };
    disabledTime: {
        type: import("vue").PropType<import("../vc-picker/interface").DisabledTime<Dayjs>>;
    };
    format: {
        type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Dayjs> | (string | import("../vc-picker/interface").CustomFormat<Dayjs>)[]>;
    };
    renderExtraFooter: {
        type: import("vue").PropType<(mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode>;
    };
    showNow: {
        type: BooleanConstructor;
        default: any;
    };
    monthCellRender: {
        type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Dayjs>>;
    };
    monthCellContentRender: {
        type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Dayjs>>;
    };
    id: StringConstructor;
    dropdownClassName: StringConstructor;
    dropdownAlign: {
        type: import("vue").PropType<import("../vc-align/interface").AlignType>;
    };
    popupStyle: {
        type: import("vue").PropType<import("vue").CSSProperties>;
    };
    transitionName: StringConstructor;
    placeholder: StringConstructor;
    allowClear: {
        type: BooleanConstructor;
        default: any;
    };
    autofocus: {
        type: BooleanConstructor;
        default: any;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    tabindex: NumberConstructor;
    open: {
        type: BooleanConstructor;
        default: any;
    };
    defaultOpen: {
        type: BooleanConstructor;
        default: any;
    };
    inputReadOnly: {
        type: BooleanConstructor;
        default: any;
    };
    getPopupContainer: {
        type: import("vue").PropType<(node: any) => any>;
    };
    panelRender: {
        type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
    };
    role: StringConstructor;
    name: StringConstructor;
    autocomplete: StringConstructor;
    direction: {
        type: import("vue").PropType<"ltr" | "rtl">;
    };
    showToday: {
        type: BooleanConstructor;
        default: any;
    };
    showTime: {
        type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Dayjs>>;
        default: any;
    };
    locale: {
        type: import("vue").PropType<import("./generatePicker").PickerLocale>;
    };
    size: {
        type: import("vue").PropType<import("../config-provider").SizeType>;
    };
    bordered: {
        type: BooleanConstructor;
        default: any;
    };
    dateRender: {
        type: import("vue").PropType<import("../vc-picker/panels/DatePanel/DateBody").DateRender<Dayjs>>;
    };
    disabledDate: {
        type: import("vue").PropType<(date: Dayjs) => boolean>;
    };
    mode: {
        type: import("vue").PropType<import("../vc-picker/interface").PanelMode>;
    };
    picker: {
        type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
    };
    valueFormat: StringConstructor;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "update:value" | "blur" | "focus" | "openChange" | "panelChange" | "ok" | "update:open")[], "change" | "update:value" | "blur" | "focus" | "openChange" | "panelChange" | "ok" | "update:open", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    defaultPickerValue?: unknown;
    defaultValue?: unknown;
    value?: unknown;
    disabledTime?: unknown;
    format?: unknown;
    renderExtraFooter?: unknown;
    showNow?: unknown;
    monthCellRender?: unknown;
    monthCellContentRender?: unknown;
    id?: unknown;
    dropdownClassName?: unknown;
    dropdownAlign?: unknown;
    popupStyle?: unknown;
    transitionName?: unknown;
    placeholder?: unknown;
    allowClear?: unknown;
    autofocus?: unknown;
    disabled?: unknown;
    tabindex?: unknown;
    open?: unknown;
    defaultOpen?: unknown;
    inputReadOnly?: unknown;
    getPopupContainer?: unknown;
    panelRender?: unknown;
    role?: unknown;
    name?: unknown;
    autocomplete?: unknown;
    direction?: unknown;
    showToday?: unknown;
    showTime?: unknown;
    locale?: unknown;
    size?: unknown;
    bordered?: unknown;
    dateRender?: unknown;
    disabledDate?: unknown;
    mode?: unknown;
    picker?: unknown;
    valueFormat?: unknown;
} & {} & {
    value?: string | Dayjs;
    disabled?: boolean;
    getPopupContainer?: (node: any) => any;
    locale?: import("./generatePicker").PickerLocale;
    direction?: "ltr" | "rtl";
    name?: string;
    size?: import("../config-provider").SizeType;
    open?: boolean;
    disabledDate?: (date: Dayjs) => boolean;
    picker?: import("../vc-picker/interface").PickerMode;
    mode?: import("../vc-picker/interface").PanelMode;
    format?: string | import("../vc-picker/interface").CustomFormat<Dayjs> | (string | import("../vc-picker/interface").CustomFormat<Dayjs>)[];
    role?: string;
    tabindex?: number;
    id?: string;
    autofocus?: boolean;
    defaultValue?: string | Dayjs;
    transitionName?: string;
    popupStyle?: unknown;
    allowClear?: boolean;
    placeholder?: string;
    autocomplete?: string;
    dropdownClassName?: string;
    dropdownAlign?: unknown;
    defaultOpen?: boolean;
    bordered?: boolean;
    dateRender?: import("../vc-picker/panels/DatePanel/DateBody").DateRender<Dayjs>;
    defaultPickerValue?: string | Dayjs;
    disabledTime?: import("../vc-picker/interface").DisabledTime<Dayjs>;
    showTime?: any;
    monthCellRender?: import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Dayjs>;
    showNow?: boolean;
    renderExtraFooter?: (mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode;
    showToday?: boolean;
    inputReadOnly?: boolean;
    panelRender?: (originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode;
    monthCellContentRender?: import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Dayjs>;
    valueFormat?: string;
}> & {
    onFocus?: (...args: any[]) => any;
    onBlur?: (...args: any[]) => any;
    onChange?: (...args: any[]) => any;
    onPanelChange?: (...args: any[]) => any;
    "onUpdate:value"?: (...args: any[]) => any;
    onOpenChange?: (...args: any[]) => any;
    onOk?: (...args: any[]) => any;
    "onUpdate:open"?: (...args: any[]) => any;
}, {
    disabled: boolean;
    open: boolean;
    autofocus: boolean;
    allowClear: boolean;
    defaultOpen: boolean;
    bordered: boolean;
    showTime: any;
    showNow: boolean;
    showToday: boolean;
    inputReadOnly: boolean;
}>, MonthPicker: import("vue").DefineComponent<{
    defaultPickerValue: {
        type: import("vue").PropType<string | Dayjs>;
    };
    defaultValue: {
        type: import("vue").PropType<string | Dayjs>;
    };
    value: {
        type: import("vue").PropType<string | Dayjs>;
    };
    disabledTime: {
        type: import("vue").PropType<import("../vc-picker/interface").DisabledTime<Dayjs>>;
    };
    format: {
        type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Dayjs> | (string | import("../vc-picker/interface").CustomFormat<Dayjs>)[]>;
    };
    renderExtraFooter: {
        type: import("vue").PropType<(mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode>;
    };
    showNow: {
        type: BooleanConstructor;
        default: any;
    };
    monthCellRender: {
        type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Dayjs>>;
    };
    monthCellContentRender: {
        type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Dayjs>>;
    };
    id: StringConstructor;
    dropdownClassName: StringConstructor;
    dropdownAlign: {
        type: import("vue").PropType<import("../vc-align/interface").AlignType>;
    };
    popupStyle: {
        type: import("vue").PropType<import("vue").CSSProperties>;
    };
    transitionName: StringConstructor;
    placeholder: StringConstructor;
    allowClear: {
        type: BooleanConstructor;
        default: any;
    };
    autofocus: {
        type: BooleanConstructor;
        default: any;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    tabindex: NumberConstructor;
    open: {
        type: BooleanConstructor;
        default: any;
    };
    defaultOpen: {
        type: BooleanConstructor;
        default: any;
    };
    inputReadOnly: {
        type: BooleanConstructor;
        default: any;
    };
    getPopupContainer: {
        type: import("vue").PropType<(node: any) => any>;
    };
    panelRender: {
        type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
    };
    role: StringConstructor;
    name: StringConstructor;
    autocomplete: StringConstructor;
    direction: {
        type: import("vue").PropType<"ltr" | "rtl">;
    };
    showToday: {
        type: BooleanConstructor;
        default: any;
    };
    showTime: {
        type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Dayjs>>;
        default: any;
    };
    locale: {
        type: import("vue").PropType<import("./generatePicker").PickerLocale>;
    };
    size: {
        type: import("vue").PropType<import("../config-provider").SizeType>;
    };
    bordered: {
        type: BooleanConstructor;
        default: any;
    };
    dateRender: {
        type: import("vue").PropType<import("../vc-picker/panels/DatePanel/DateBody").DateRender<Dayjs>>;
    };
    disabledDate: {
        type: import("vue").PropType<(date: Dayjs) => boolean>;
    };
    mode: {
        type: import("vue").PropType<import("../vc-picker/interface").PanelMode>;
    };
    picker: {
        type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
    };
    valueFormat: StringConstructor;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "update:value" | "blur" | "focus" | "openChange" | "panelChange" | "ok" | "update:open")[], "change" | "update:value" | "blur" | "focus" | "openChange" | "panelChange" | "ok" | "update:open", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    defaultPickerValue?: unknown;
    defaultValue?: unknown;
    value?: unknown;
    disabledTime?: unknown;
    format?: unknown;
    renderExtraFooter?: unknown;
    showNow?: unknown;
    monthCellRender?: unknown;
    monthCellContentRender?: unknown;
    id?: unknown;
    dropdownClassName?: unknown;
    dropdownAlign?: unknown;
    popupStyle?: unknown;
    transitionName?: unknown;
    placeholder?: unknown;
    allowClear?: unknown;
    autofocus?: unknown;
    disabled?: unknown;
    tabindex?: unknown;
    open?: unknown;
    defaultOpen?: unknown;
    inputReadOnly?: unknown;
    getPopupContainer?: unknown;
    panelRender?: unknown;
    role?: unknown;
    name?: unknown;
    autocomplete?: unknown;
    direction?: unknown;
    showToday?: unknown;
    showTime?: unknown;
    locale?: unknown;
    size?: unknown;
    bordered?: unknown;
    dateRender?: unknown;
    disabledDate?: unknown;
    mode?: unknown;
    picker?: unknown;
    valueFormat?: unknown;
} & {} & {
    value?: string | Dayjs;
    disabled?: boolean;
    getPopupContainer?: (node: any) => any;
    locale?: import("./generatePicker").PickerLocale;
    direction?: "ltr" | "rtl";
    name?: string;
    size?: import("../config-provider").SizeType;
    open?: boolean;
    disabledDate?: (date: Dayjs) => boolean;
    picker?: import("../vc-picker/interface").PickerMode;
    mode?: import("../vc-picker/interface").PanelMode;
    format?: string | import("../vc-picker/interface").CustomFormat<Dayjs> | (string | import("../vc-picker/interface").CustomFormat<Dayjs>)[];
    role?: string;
    tabindex?: number;
    id?: string;
    autofocus?: boolean;
    defaultValue?: string | Dayjs;
    transitionName?: string;
    popupStyle?: unknown;
    allowClear?: boolean;
    placeholder?: string;
    autocomplete?: string;
    dropdownClassName?: string;
    dropdownAlign?: unknown;
    defaultOpen?: boolean;
    bordered?: boolean;
    dateRender?: import("../vc-picker/panels/DatePanel/DateBody").DateRender<Dayjs>;
    defaultPickerValue?: string | Dayjs;
    disabledTime?: import("../vc-picker/interface").DisabledTime<Dayjs>;
    showTime?: any;
    monthCellRender?: import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Dayjs>;
    showNow?: boolean;
    renderExtraFooter?: (mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode;
    showToday?: boolean;
    inputReadOnly?: boolean;
    panelRender?: (originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode;
    monthCellContentRender?: import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Dayjs>;
    valueFormat?: string;
}> & {
    onFocus?: (...args: any[]) => any;
    onBlur?: (...args: any[]) => any;
    onChange?: (...args: any[]) => any;
    onPanelChange?: (...args: any[]) => any;
    "onUpdate:value"?: (...args: any[]) => any;
    onOpenChange?: (...args: any[]) => any;
    onOk?: (...args: any[]) => any;
    "onUpdate:open"?: (...args: any[]) => any;
}, {
    disabled: boolean;
    open: boolean;
    autofocus: boolean;
    allowClear: boolean;
    defaultOpen: boolean;
    bordered: boolean;
    showTime: any;
    showNow: boolean;
    showToday: boolean;
    inputReadOnly: boolean;
}>, QuarterPicker: import("vue").DefineComponent<{
    defaultPickerValue: {
        type: import("vue").PropType<string | Dayjs>;
    };
    defaultValue: {
        type: import("vue").PropType<string | Dayjs>;
    };
    value: {
        type: import("vue").PropType<string | Dayjs>;
    };
    disabledTime: {
        type: import("vue").PropType<import("../vc-picker/interface").DisabledTime<Dayjs>>;
    };
    format: {
        type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Dayjs> | (string | import("../vc-picker/interface").CustomFormat<Dayjs>)[]>;
    };
    renderExtraFooter: {
        type: import("vue").PropType<(mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode>;
    };
    showNow: {
        type: BooleanConstructor;
        default: any;
    };
    monthCellRender: {
        type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Dayjs>>;
    };
    monthCellContentRender: {
        type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Dayjs>>;
    };
    id: StringConstructor;
    dropdownClassName: StringConstructor;
    dropdownAlign: {
        type: import("vue").PropType<import("../vc-align/interface").AlignType>;
    };
    popupStyle: {
        type: import("vue").PropType<import("vue").CSSProperties>;
    };
    transitionName: StringConstructor;
    placeholder: StringConstructor;
    allowClear: {
        type: BooleanConstructor;
        default: any;
    };
    autofocus: {
        type: BooleanConstructor;
        default: any;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    tabindex: NumberConstructor;
    open: {
        type: BooleanConstructor;
        default: any;
    };
    defaultOpen: {
        type: BooleanConstructor;
        default: any;
    };
    inputReadOnly: {
        type: BooleanConstructor;
        default: any;
    };
    getPopupContainer: {
        type: import("vue").PropType<(node: any) => any>;
    };
    panelRender: {
        type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
    };
    role: StringConstructor;
    name: StringConstructor;
    autocomplete: StringConstructor;
    direction: {
        type: import("vue").PropType<"ltr" | "rtl">;
    };
    showToday: {
        type: BooleanConstructor;
        default: any;
    };
    showTime: {
        type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Dayjs>>;
        default: any;
    };
    locale: {
        type: import("vue").PropType<import("./generatePicker").PickerLocale>;
    };
    size: {
        type: import("vue").PropType<import("../config-provider").SizeType>;
    };
    bordered: {
        type: BooleanConstructor;
        default: any;
    };
    dateRender: {
        type: import("vue").PropType<import("../vc-picker/panels/DatePanel/DateBody").DateRender<Dayjs>>;
    };
    disabledDate: {
        type: import("vue").PropType<(date: Dayjs) => boolean>;
    };
    mode: {
        type: import("vue").PropType<import("../vc-picker/interface").PanelMode>;
    };
    picker: {
        type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
    };
    valueFormat: StringConstructor;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "update:value" | "blur" | "focus" | "openChange" | "panelChange" | "ok" | "update:open")[], "change" | "update:value" | "blur" | "focus" | "openChange" | "panelChange" | "ok" | "update:open", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    defaultPickerValue?: unknown;
    defaultValue?: unknown;
    value?: unknown;
    disabledTime?: unknown;
    format?: unknown;
    renderExtraFooter?: unknown;
    showNow?: unknown;
    monthCellRender?: unknown;
    monthCellContentRender?: unknown;
    id?: unknown;
    dropdownClassName?: unknown;
    dropdownAlign?: unknown;
    popupStyle?: unknown;
    transitionName?: unknown;
    placeholder?: unknown;
    allowClear?: unknown;
    autofocus?: unknown;
    disabled?: unknown;
    tabindex?: unknown;
    open?: unknown;
    defaultOpen?: unknown;
    inputReadOnly?: unknown;
    getPopupContainer?: unknown;
    panelRender?: unknown;
    role?: unknown;
    name?: unknown;
    autocomplete?: unknown;
    direction?: unknown;
    showToday?: unknown;
    showTime?: unknown;
    locale?: unknown;
    size?: unknown;
    bordered?: unknown;
    dateRender?: unknown;
    disabledDate?: unknown;
    mode?: unknown;
    picker?: unknown;
    valueFormat?: unknown;
} & {} & {
    value?: string | Dayjs;
    disabled?: boolean;
    getPopupContainer?: (node: any) => any;
    locale?: import("./generatePicker").PickerLocale;
    direction?: "ltr" | "rtl";
    name?: string;
    size?: import("../config-provider").SizeType;
    open?: boolean;
    disabledDate?: (date: Dayjs) => boolean;
    picker?: import("../vc-picker/interface").PickerMode;
    mode?: import("../vc-picker/interface").PanelMode;
    format?: string | import("../vc-picker/interface").CustomFormat<Dayjs> | (string | import("../vc-picker/interface").CustomFormat<Dayjs>)[];
    role?: string;
    tabindex?: number;
    id?: string;
    autofocus?: boolean;
    defaultValue?: string | Dayjs;
    transitionName?: string;
    popupStyle?: unknown;
    allowClear?: boolean;
    placeholder?: string;
    autocomplete?: string;
    dropdownClassName?: string;
    dropdownAlign?: unknown;
    defaultOpen?: boolean;
    bordered?: boolean;
    dateRender?: import("../vc-picker/panels/DatePanel/DateBody").DateRender<Dayjs>;
    defaultPickerValue?: string | Dayjs;
    disabledTime?: import("../vc-picker/interface").DisabledTime<Dayjs>;
    showTime?: any;
    monthCellRender?: import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Dayjs>;
    showNow?: boolean;
    renderExtraFooter?: (mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode;
    showToday?: boolean;
    inputReadOnly?: boolean;
    panelRender?: (originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode;
    monthCellContentRender?: import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Dayjs>;
    valueFormat?: string;
}> & {
    onFocus?: (...args: any[]) => any;
    onBlur?: (...args: any[]) => any;
    onChange?: (...args: any[]) => any;
    onPanelChange?: (...args: any[]) => any;
    "onUpdate:value"?: (...args: any[]) => any;
    onOpenChange?: (...args: any[]) => any;
    onOk?: (...args: any[]) => any;
    "onUpdate:open"?: (...args: any[]) => any;
}, {
    disabled: boolean;
    open: boolean;
    autofocus: boolean;
    allowClear: boolean;
    defaultOpen: boolean;
    bordered: boolean;
    showTime: any;
    showNow: boolean;
    showToday: boolean;
    inputReadOnly: boolean;
}>, RangePicker: import("vue").DefineComponent<{
    allowEmpty: {
        type: import("vue").PropType<[boolean, boolean]>;
    };
    dateRender: {
        type: import("vue").PropType<import("../vc-picker/RangePicker").RangeDateRender<Dayjs>>;
    };
    defaultPickerValue: {
        type: import("vue").PropType<[string, string] | [Dayjs, Dayjs]>;
    };
    defaultValue: {
        type: import("vue").PropType<[string, string] | [Dayjs, Dayjs]>;
    };
    value: {
        type: import("vue").PropType<[Dayjs, Dayjs]>;
    };
    disabledTime: {
        type: import("vue").PropType<(date: Dayjs, type: import("../vc-picker/RangePicker").RangeType) => import("../vc-picker/interface").DisabledTimes>;
    };
    disabled: {
        type: import("vue").PropType<boolean | [boolean, boolean]>;
    };
    format: StringConstructor;
    renderExtraFooter: {
        type: import("vue").PropType<() => import("../_util/type").VueNode>;
    };
    separator: {
        type: StringConstructor;
    };
    ranges: {
        type: import("vue").PropType<Record<string, [Dayjs, Dayjs] | (() => [Dayjs, Dayjs])>>;
    };
    placeholder: ArrayConstructor;
    mode: {
        type: import("vue").PropType<[import("../vc-picker/interface").PanelMode, import("../vc-picker/interface").PanelMode]>;
    };
    id: StringConstructor;
    dropdownClassName: StringConstructor;
    dropdownAlign: {
        type: import("vue").PropType<import("../vc-align/interface").AlignType>;
    };
    popupStyle: {
        type: import("vue").PropType<import("vue").CSSProperties>;
    };
    transitionName: StringConstructor;
    allowClear: {
        type: BooleanConstructor;
        default: any;
    };
    autofocus: {
        type: BooleanConstructor;
        default: any;
    };
    tabindex: NumberConstructor;
    open: {
        type: BooleanConstructor;
        default: any;
    };
    defaultOpen: {
        type: BooleanConstructor;
        default: any;
    };
    inputReadOnly: {
        type: BooleanConstructor;
        default: any;
    };
    getPopupContainer: {
        type: import("vue").PropType<(node: any) => any>;
    };
    panelRender: {
        type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
    };
    role: StringConstructor;
    name: StringConstructor;
    autocomplete: StringConstructor;
    direction: {
        type: import("vue").PropType<"ltr" | "rtl">;
    };
    showToday: {
        type: BooleanConstructor;
        default: any;
    };
    showTime: {
        type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Dayjs>>;
        default: any;
    };
    locale: {
        type: import("vue").PropType<import("./generatePicker").PickerLocale>;
    };
    size: {
        type: import("vue").PropType<import("../config-provider").SizeType>;
    };
    bordered: {
        type: BooleanConstructor;
        default: any;
    };
    disabledDate: {
        type: import("vue").PropType<(date: Dayjs) => boolean>;
    };
    picker: {
        type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
    };
    valueFormat: StringConstructor;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "update:value" | "blur" | "focus" | "openChange" | "panelChange" | "ok" | "update:open" | "calendarChange")[], "change" | "update:value" | "blur" | "focus" | "openChange" | "panelChange" | "ok" | "update:open" | "calendarChange", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    allowEmpty?: unknown;
    dateRender?: unknown;
    defaultPickerValue?: unknown;
    defaultValue?: unknown;
    value?: unknown;
    disabledTime?: unknown;
    disabled?: unknown;
    format?: unknown;
    renderExtraFooter?: unknown;
    separator?: unknown;
    ranges?: unknown;
    placeholder?: unknown;
    mode?: unknown;
    id?: unknown;
    dropdownClassName?: unknown;
    dropdownAlign?: unknown;
    popupStyle?: unknown;
    transitionName?: unknown;
    allowClear?: unknown;
    autofocus?: unknown;
    tabindex?: unknown;
    open?: unknown;
    defaultOpen?: unknown;
    inputReadOnly?: unknown;
    getPopupContainer?: unknown;
    panelRender?: unknown;
    role?: unknown;
    name?: unknown;
    autocomplete?: unknown;
    direction?: unknown;
    showToday?: unknown;
    showTime?: unknown;
    locale?: unknown;
    size?: unknown;
    bordered?: unknown;
    disabledDate?: unknown;
    picker?: unknown;
    valueFormat?: unknown;
} & {} & {
    value?: [Dayjs, Dayjs];
    disabled?: boolean | [boolean, boolean];
    getPopupContainer?: (node: any) => any;
    locale?: import("./generatePicker").PickerLocale;
    direction?: "ltr" | "rtl";
    name?: string;
    size?: import("../config-provider").SizeType;
    open?: boolean;
    separator?: string;
    disabledDate?: (date: Dayjs) => boolean;
    picker?: import("../vc-picker/interface").PickerMode;
    mode?: [import("../vc-picker/interface").PanelMode, import("../vc-picker/interface").PanelMode];
    format?: string;
    role?: string;
    tabindex?: number;
    id?: string;
    autofocus?: boolean;
    defaultValue?: [string, string] | [Dayjs, Dayjs];
    transitionName?: string;
    popupStyle?: unknown;
    allowClear?: boolean;
    placeholder?: unknown[];
    autocomplete?: string;
    dropdownClassName?: string;
    dropdownAlign?: unknown;
    defaultOpen?: boolean;
    bordered?: boolean;
    dateRender?: import("../vc-picker/RangePicker").RangeDateRender<Dayjs>;
    defaultPickerValue?: [string, string] | [Dayjs, Dayjs];
    disabledTime?: (date: Dayjs, type: import("../vc-picker/RangePicker").RangeType) => import("../vc-picker/interface").DisabledTimes;
    showTime?: any;
    renderExtraFooter?: () => import("../_util/type").VueNode;
    showToday?: boolean;
    inputReadOnly?: boolean;
    panelRender?: (originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode;
    ranges?: Record<string, [Dayjs, Dayjs] | (() => [Dayjs, Dayjs])>;
    allowEmpty?: [boolean, boolean];
    valueFormat?: string;
}> & {
    onFocus?: (...args: any[]) => any;
    onBlur?: (...args: any[]) => any;
    onChange?: (...args: any[]) => any;
    onPanelChange?: (...args: any[]) => any;
    "onUpdate:value"?: (...args: any[]) => any;
    onOpenChange?: (...args: any[]) => any;
    onOk?: (...args: any[]) => any;
    onCalendarChange?: (...args: any[]) => any;
    "onUpdate:open"?: (...args: any[]) => any;
}, {
    open: boolean;
    autofocus: boolean;
    allowClear: boolean;
    defaultOpen: boolean;
    bordered: boolean;
    showTime: any;
    showToday: boolean;
    inputReadOnly: boolean;
}>;
export { RangePicker, WeekPicker, MonthPicker, QuarterPicker };
declare const _default: any;
export default _default;
