import type { ExtractPropTypes, ImgHTMLAttributes, Plugin } from 'vue';
import { imageProps } from '../vc-image/src/Image';
import PreviewGroup from './PreviewGroup';
export declare type ImageProps = Partial<ExtractPropTypes<typeof imageProps> & Omit<ImgHTMLAttributes, 'placeholder' | 'onClick'>>;
export { imageProps };
export { PreviewGroup as ImagePreviewGroup };
declare const _default: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            onCopy: any;
            onCut: any;
            onPaste: any;
            onCompositionend: any;
            onCompositionstart: any;
            onCompositionupdate: any;
            onDrag: any;
            onDragend: any;
            onDragenter: any;
            onDragexit: any;
            onDragleave: any;
            onDragover: any;
            onDragstart: any;
            onDrop: any;
            onFocus: any;
            onFocusin: any;
            onFocusout: any;
            onBlur: any;
            onChange: any;
            onBeforeinput: any;
            onInput: any;
            onReset: any;
            onSubmit: any;
            onInvalid: any;
            onLoad: any;
            onError: any;
            onKeydown: any;
            onKeypress: any;
            onKeyup: any;
            onAuxclick: any;
            onContextmenu: any;
            onDblclick: any;
            onMousedown: any;
            onMouseenter: any;
            onMouseleave: any;
            onMousemove: any;
            onMouseout: any;
            onMouseover: any;
            onMouseup: any;
            onAbort: any;
            onCanplay: any;
            onCanplaythrough: any;
            onDurationchange: any;
            onEmptied: any;
            onEncrypted: any;
            onEnded: any;
            onLoadeddata: any;
            onLoadedmetadata: any;
            onLoadstart: any;
            onPause: any;
            onPlay: any;
            onPlaying: any;
            onProgress: any;
            onRatechange: any;
            onSeeked: any;
            onSeeking: any;
            onStalled: any;
            onSuspend: any;
            onTimeupdate: any;
            onVolumechange: any;
            onWaiting: any;
            onSelect: any;
            onScroll: any;
            onTouchcancel: any;
            onTouchend: any;
            onTouchmove: any;
            onTouchstart: any;
            onPointerdown: any;
            onPointermove: any;
            onPointerup: any;
            onPointercancel: any;
            onPointerenter: any;
            onPointerleave: any;
            onPointerover: any;
            onPointerout: any;
            onWheel: any;
            onAnimationstart: any;
            onAnimationend: any;
            onAnimationiteration: any;
            onTransitionend: any;
            onTransitionstart: any;
            class: any;
            inlist: any;
        }> & Omit<Readonly<Partial<{
            src?: unknown;
            wrapperClassName?: unknown;
            wrapperStyle?: unknown;
            prefixCls?: unknown;
            previewPrefixCls?: unknown;
            placeholder?: unknown;
            fallback?: unknown;
            preview?: unknown;
        } & {
            prefixCls: string;
            src: string;
            wrapperClassName: string;
            previewPrefixCls: string;
            fallback: string;
            preview: boolean | {
                visible: (boolean | ((props: Record<string, unknown>) => boolean)) & boolean;
                onVisibleChange: any;
                getContainer: (props: Record<string, unknown>) => never;
            };
        } & {
            placeholder?: import("../_util/type").VueNode;
            wrapperStyle?: import("vue").CSSProperties;
        } & Omit<ImgHTMLAttributes, "onClick" | "placeholder">>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "onCopy" | "onCut" | "onPaste" | "onCompositionend" | "onCompositionstart" | "onCompositionupdate" | "onDrag" | "onDragend" | "onDragenter" | "onDragexit" | "onDragleave" | "onDragover" | "onDragstart" | "onDrop" | "onFocus" | "onFocusin" | "onFocusout" | "onBlur" | "onChange" | "onBeforeinput" | "onInput" | "onReset" | "onSubmit" | "onInvalid" | "onLoad" | "onError" | "onKeydown" | "onKeypress" | "onKeyup" | "onAuxclick" | "onContextmenu" | "onDblclick" | "onMousedown" | "onMouseenter" | "onMouseleave" | "onMousemove" | "onMouseout" | "onMouseover" | "onMouseup" | "onAbort" | "onCanplay" | "onCanplaythrough" | "onDurationchange" | "onEmptied" | "onEncrypted" | "onEnded" | "onLoadeddata" | "onLoadedmetadata" | "onLoadstart" | "onPause" | "onPlay" | "onPlaying" | "onProgress" | "onRatechange" | "onSeeked" | "onSeeking" | "onStalled" | "onSuspend" | "onTimeupdate" | "onVolumechange" | "onWaiting" | "onSelect" | "onScroll" | "onTouchcancel" | "onTouchend" | "onTouchmove" | "onTouchstart" | "onPointerdown" | "onPointermove" | "onPointerup" | "onPointercancel" | "onPointerenter" | "onPointerleave" | "onPointerover" | "onPointerout" | "onWheel" | "onAnimationstart" | "onAnimationend" | "onAnimationiteration" | "onTransitionend" | "onTransitionstart" | "class" | "inlist">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $emit: ((event: string, ...args: any[]) => void) | ((event: string, ...args: any[]) => void);
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<Partial<{
            src?: unknown;
            wrapperClassName?: unknown;
            wrapperStyle?: unknown;
            prefixCls?: unknown;
            previewPrefixCls?: unknown;
            placeholder?: unknown;
            fallback?: unknown;
            preview?: unknown;
        } & {
            prefixCls: string;
            src: string;
            wrapperClassName: string;
            previewPrefixCls: string;
            fallback: string;
            preview: boolean | {
                visible: (boolean | ((props: Record<string, unknown>) => boolean)) & boolean;
                onVisibleChange: any;
                getContainer: (props: Record<string, unknown>) => never;
            };
        } & {
            placeholder?: import("../_util/type").VueNode;
            wrapperStyle?: import("vue").CSSProperties;
        } & Omit<ImgHTMLAttributes, "onClick" | "placeholder">>>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, string, {
            onCopy: any;
            onCut: any;
            onPaste: any;
            onCompositionend: any;
            onCompositionstart: any;
            onCompositionupdate: any;
            onDrag: any;
            onDragend: any;
            onDragenter: any;
            onDragexit: any;
            onDragleave: any;
            onDragover: any;
            onDragstart: any;
            onDrop: any;
            onFocus: any;
            onFocusin: any;
            onFocusout: any;
            onBlur: any;
            onChange: any;
            onBeforeinput: any;
            onInput: any;
            onReset: any;
            onSubmit: any;
            onInvalid: any;
            onLoad: any;
            onError: any;
            onKeydown: any;
            onKeypress: any;
            onKeyup: any;
            onAuxclick: any;
            onContextmenu: any;
            onDblclick: any;
            onMousedown: any;
            onMouseenter: any;
            onMouseleave: any;
            onMousemove: any;
            onMouseout: any;
            onMouseover: any;
            onMouseup: any;
            onAbort: any;
            onCanplay: any;
            onCanplaythrough: any;
            onDurationchange: any;
            onEmptied: any;
            onEncrypted: any;
            onEnded: any;
            onLoadeddata: any;
            onLoadedmetadata: any;
            onLoadstart: any;
            onPause: any;
            onPlay: any;
            onPlaying: any;
            onProgress: any;
            onRatechange: any;
            onSeeked: any;
            onSeeking: any;
            onStalled: any;
            onSuspend: any;
            onTimeupdate: any;
            onVolumechange: any;
            onWaiting: any;
            onSelect: any;
            onScroll: any;
            onTouchcancel: any;
            onTouchend: any;
            onTouchmove: any;
            onTouchstart: any;
            onPointerdown: any;
            onPointermove: any;
            onPointerup: any;
            onPointercancel: any;
            onPointerenter: any;
            onPointerleave: any;
            onPointerover: any;
            onPointerout: any;
            onWheel: any;
            onAnimationstart: any;
            onAnimationend: any;
            onAnimationiteration: any;
            onTransitionend: any;
            onTransitionstart: any;
            class: any;
            inlist: any;
        }> & {
            beforeCreate?: (() => void) | (() => void)[];
            created?: (() => void) | (() => void)[];
            beforeMount?: (() => void) | (() => void)[];
            mounted?: (() => void) | (() => void)[];
            beforeUpdate?: (() => void) | (() => void)[];
            updated?: (() => void) | (() => void)[];
            activated?: (() => void) | (() => void)[];
            deactivated?: (() => void) | (() => void)[];
            beforeDestroy?: (() => void) | (() => void)[];
            beforeUnmount?: (() => void) | (() => void)[];
            destroyed?: (() => void) | (() => void)[];
            unmounted?: (() => void) | (() => void)[];
            renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void)[];
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
    } & Readonly<Partial<{
        src?: unknown;
        wrapperClassName?: unknown;
        wrapperStyle?: unknown;
        prefixCls?: unknown;
        previewPrefixCls?: unknown;
        placeholder?: unknown;
        fallback?: unknown;
        preview?: unknown;
    } & {
        prefixCls: string;
        src: string;
        wrapperClassName: string;
        previewPrefixCls: string;
        fallback: string;
        preview: boolean | {
            visible: (boolean | ((props: Record<string, unknown>) => boolean)) & boolean;
            onVisibleChange: any;
            getContainer: (props: Record<string, unknown>) => never;
        };
    } & {
        placeholder?: import("../_util/type").VueNode;
        wrapperStyle?: import("vue").CSSProperties;
    } & Omit<ImgHTMLAttributes, "onClick" | "placeholder">>> & import("vue").ShallowUnwrapRef<{}> & {} & import("vue").ComponentCustomProperties;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<Partial<{
    src?: unknown;
    wrapperClassName?: unknown;
    wrapperStyle?: unknown;
    prefixCls?: unknown;
    previewPrefixCls?: unknown;
    placeholder?: unknown;
    fallback?: unknown;
    preview?: unknown;
} & {
    prefixCls: string;
    src: string;
    wrapperClassName: string;
    previewPrefixCls: string;
    fallback: string;
    preview: boolean | {
        visible: (boolean | ((props: Record<string, unknown>) => boolean)) & boolean;
        onVisibleChange: any;
        getContainer: (props: Record<string, unknown>) => never;
    };
} & {
    placeholder?: import("../_util/type").VueNode;
    wrapperStyle?: import("vue").CSSProperties;
} & Omit<ImgHTMLAttributes, "onClick" | "placeholder">>>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, string, {
    onCopy: any;
    onCut: any;
    onPaste: any;
    onCompositionend: any;
    onCompositionstart: any;
    onCompositionupdate: any;
    onDrag: any;
    onDragend: any;
    onDragenter: any;
    onDragexit: any;
    onDragleave: any;
    onDragover: any;
    onDragstart: any;
    onDrop: any;
    onFocus: any;
    onFocusin: any;
    onFocusout: any;
    onBlur: any;
    onChange: any;
    onBeforeinput: any;
    onInput: any;
    onReset: any;
    onSubmit: any;
    onInvalid: any;
    onLoad: any;
    onError: any;
    onKeydown: any;
    onKeypress: any;
    onKeyup: any;
    onAuxclick: any;
    onContextmenu: any;
    onDblclick: any;
    onMousedown: any;
    onMouseenter: any;
    onMouseleave: any;
    onMousemove: any;
    onMouseout: any;
    onMouseover: any;
    onMouseup: any;
    onAbort: any;
    onCanplay: any;
    onCanplaythrough: any;
    onDurationchange: any;
    onEmptied: any;
    onEncrypted: any;
    onEnded: any;
    onLoadeddata: any;
    onLoadedmetadata: any;
    onLoadstart: any;
    onPause: any;
    onPlay: any;
    onPlaying: any;
    onProgress: any;
    onRatechange: any;
    onSeeked: any;
    onSeeking: any;
    onStalled: any;
    onSuspend: any;
    onTimeupdate: any;
    onVolumechange: any;
    onWaiting: any;
    onSelect: any;
    onScroll: any;
    onTouchcancel: any;
    onTouchend: any;
    onTouchmove: any;
    onTouchstart: any;
    onPointerdown: any;
    onPointermove: any;
    onPointerup: any;
    onPointercancel: any;
    onPointerenter: any;
    onPointerleave: any;
    onPointerover: any;
    onPointerout: any;
    onWheel: any;
    onAnimationstart: any;
    onAnimationend: any;
    onAnimationiteration: any;
    onTransitionend: any;
    onTransitionstart: any;
    class: any;
    inlist: any;
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Plugin & {
    readonly PreviewGroup: typeof PreviewGroup;
};
export default _default;
