import type { Plugin } from 'vue';
import Group from './Group';
import Search from './Search';
import TextArea from './TextArea';
import Password from './Password';
export { Group as InputGroup, Search as InputSearch, TextArea as Textarea, Password as InputPassword, };
declare const _default: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {
            stateValue: string | number;
            isFocused: boolean;
        };
        $props: Partial<{
            type: string;
            prefixCls: string;
            onFocus: (...args: any[]) => any;
            onBlur: (...args: any[]) => any;
            onChange: (...args: any[]) => any;
            onInput: (...args: any[]) => any;
            onKeydown: (...args: any[]) => any;
            onKeyup: (...args: any[]) => any;
            name: string;
            id: string;
            "onUpdate:value": (...args: any[]) => any;
            inputPrefixCls: string;
            lazy: boolean;
            maxlength: number;
            onPressEnter: (...args: any[]) => any;
        }> & Omit<Readonly<{
            id?: unknown;
            prefixCls?: unknown;
            inputPrefixCls?: unknown;
            defaultValue?: unknown;
            value?: unknown;
            placeholder?: unknown;
            type?: unknown;
            name?: unknown;
            size?: unknown;
            disabled?: unknown;
            readonly?: unknown;
            addonBefore?: unknown;
            addonAfter?: unknown;
            prefix?: unknown;
            suffix?: unknown;
            autofocus?: unknown;
            allowClear?: unknown;
            lazy?: unknown;
            maxlength?: unknown;
            loading?: unknown;
            onPressEnter?: unknown;
            onKeydown?: unknown;
            onKeyup?: unknown;
            onFocus?: unknown;
            onBlur?: unknown;
            onChange?: unknown;
            onInput?: unknown;
            'onUpdate:value'?: unknown;
        } & {
            type: string;
            prefixCls: string;
            name: string;
            id: string;
            inputPrefixCls: string;
            lazy: boolean;
            maxlength: number;
        } & {
            value?: string | number;
            disabled?: boolean;
            onFocus?: (...args: any[]) => any;
            onBlur?: (...args: any[]) => any;
            onChange?: (...args: any[]) => any;
            onInput?: (...args: any[]) => any;
            onKeydown?: (...args: any[]) => any;
            onKeyup?: (...args: any[]) => any;
            size?: import("../config-provider").SizeType;
            readonly?: boolean;
            autofocus?: boolean;
            "onUpdate:value"?: (...args: any[]) => any;
            defaultValue?: string | number;
            suffix?: import("../_util/type").VueNode;
            loading?: boolean;
            prefix?: import("../_util/type").VueNode;
            allowClear?: boolean;
            addonBefore?: import("../_util/type").VueNode;
            addonAfter?: import("../_util/type").VueNode;
            placeholder?: string | number;
            onPressEnter?: (...args: any[]) => any;
        }> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "type" | "prefixCls" | "onFocus" | "onBlur" | "onChange" | "onInput" | "onKeydown" | "onKeyup" | "name" | "id" | "onUpdate:value" | "inputPrefixCls" | "lazy" | "maxlength" | "onPressEnter">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<{
            id?: unknown;
            prefixCls?: unknown;
            inputPrefixCls?: unknown;
            defaultValue?: unknown;
            value?: unknown;
            placeholder?: unknown;
            type?: unknown;
            name?: unknown;
            size?: unknown;
            disabled?: unknown;
            readonly?: unknown;
            addonBefore?: unknown;
            addonAfter?: unknown;
            prefix?: unknown;
            suffix?: unknown;
            autofocus?: unknown;
            allowClear?: unknown;
            lazy?: unknown;
            maxlength?: unknown;
            loading?: unknown;
            onPressEnter?: unknown;
            onKeydown?: unknown;
            onKeyup?: unknown;
            onFocus?: unknown;
            onBlur?: unknown;
            onChange?: unknown;
            onInput?: unknown;
            'onUpdate:value'?: unknown;
        } & {
            type: string;
            prefixCls: string;
            name: string;
            id: string;
            inputPrefixCls: string;
            lazy: boolean;
            maxlength: number;
        } & {
            value?: string | number;
            disabled?: boolean;
            onFocus?: (...args: any[]) => any;
            onBlur?: (...args: any[]) => any;
            onChange?: (...args: any[]) => any;
            onInput?: (...args: any[]) => any;
            onKeydown?: (...args: any[]) => any;
            onKeyup?: (...args: any[]) => any;
            size?: import("../config-provider").SizeType;
            readonly?: boolean;
            autofocus?: boolean;
            "onUpdate:value"?: (...args: any[]) => any;
            defaultValue?: string | number;
            suffix?: import("../_util/type").VueNode;
            loading?: boolean;
            prefix?: import("../_util/type").VueNode;
            allowClear?: boolean;
            addonBefore?: import("../_util/type").VueNode;
            addonAfter?: import("../_util/type").VueNode;
            placeholder?: string | number;
            onPressEnter?: (...args: any[]) => any;
        }>, {
            configProvider: Partial<{
                getTargetContainer?: unknown;
                getPopupContainer?: unknown;
                prefixCls?: unknown;
                getPrefixCls?: unknown;
                renderEmpty?: unknown;
                transformCellText?: unknown;
                csp?: unknown;
                autoInsertSpaceInButton?: unknown;
                locale?: unknown;
                pageHeader?: unknown;
                componentSize?: unknown;
                direction?: unknown;
                space?: unknown;
                virtual?: unknown;
                dropdownMatchSelectWidth?: unknown;
                form?: unknown;
                notUpdateGlobalConfig?: unknown;
            } & {
                dropdownMatchSelectWidth: number | boolean;
                notUpdateGlobalConfig: boolean;
            } & {
                prefixCls?: string;
                getTargetContainer?: () => any;
                getPopupContainer?: (triggerNode: any) => any;
                getPrefixCls?: (suffixCls?: string, customizePrefixCls?: string) => string;
                renderEmpty?: typeof import("../config-provider/renderEmpty").default;
                transformCellText?: (tableProps: import("../table/interface").TransformCellTextProps) => any;
                csp?: unknown;
                autoInsertSpaceInButton?: boolean;
                locale?: import("../locale-provider").Locale;
                pageHeader?: {
                    ghost: boolean;
                };
                componentSize?: import("../config-provider").SizeType;
                direction?: "ltr" | "rtl";
                space?: {
                    size: number | import("../config-provider").SizeType;
                };
                virtual?: boolean;
                form?: unknown;
            }>;
            removePasswordTimeout: any;
            input: any;
            clearableInput: any;
            formItemContext: import("../form/FormItemContext").FormItemContext;
        }, {
            stateValue: string | number;
            isFocused: boolean;
        }, {}, {
            handleInputFocus(e: any): void;
            handleInputBlur(e: any): void;
            focus(): void;
            blur(): void;
            select(): void;
            saveClearableInput(input: any): void;
            saveInput(input: any): void;
            setValue(value: string | number, callback?: Function): void;
            triggerChange(e: any): void;
            handleReset(e: any): void;
            renderInput(prefixCls: string, { addonBefore, addonAfter }: {
                addonBefore: any;
                addonAfter: any;
            }): import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>;
            clearPasswordValueAttribute(): void;
            handleChange(e: any): void;
            handleKeyDown(e: any): void;
        }, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, {
            type: string;
            prefixCls: string;
            onFocus: (...args: any[]) => any;
            onBlur: (...args: any[]) => any;
            onChange: (...args: any[]) => any;
            onInput: (...args: any[]) => any;
            onKeydown: (...args: any[]) => any;
            onKeyup: (...args: any[]) => any;
            name: string;
            id: string;
            "onUpdate:value": (...args: any[]) => any;
            inputPrefixCls: string;
            lazy: boolean;
            maxlength: number;
            onPressEnter: (...args: any[]) => any;
        }> & {
            beforeCreate?: (() => void) | (() => void)[];
            created?: (() => void) | (() => void)[];
            beforeMount?: (() => void) | (() => void)[];
            mounted?: (() => void) | (() => void)[];
            beforeUpdate?: (() => void) | (() => void)[];
            updated?: (() => void) | (() => void)[];
            activated?: (() => void) | (() => void)[];
            deactivated?: (() => void) | (() => void)[];
            beforeDestroy?: (() => void) | (() => void)[];
            beforeUnmount?: (() => void) | (() => void)[];
            destroyed?: (() => void) | (() => void)[];
            unmounted?: (() => void) | (() => void)[];
            renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void)[];
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
    } & Readonly<{
        id?: unknown;
        prefixCls?: unknown;
        inputPrefixCls?: unknown;
        defaultValue?: unknown;
        value?: unknown;
        placeholder?: unknown;
        type?: unknown;
        name?: unknown;
        size?: unknown;
        disabled?: unknown;
        readonly?: unknown;
        addonBefore?: unknown;
        addonAfter?: unknown;
        prefix?: unknown;
        suffix?: unknown;
        autofocus?: unknown;
        allowClear?: unknown;
        lazy?: unknown;
        maxlength?: unknown;
        loading?: unknown;
        onPressEnter?: unknown;
        onKeydown?: unknown;
        onKeyup?: unknown;
        onFocus?: unknown;
        onBlur?: unknown;
        onChange?: unknown;
        onInput?: unknown;
        'onUpdate:value'?: unknown;
    } & {
        type: string;
        prefixCls: string;
        name: string;
        id: string;
        inputPrefixCls: string;
        lazy: boolean;
        maxlength: number;
    } & {
        value?: string | number;
        disabled?: boolean;
        onFocus?: (...args: any[]) => any;
        onBlur?: (...args: any[]) => any;
        onChange?: (...args: any[]) => any;
        onInput?: (...args: any[]) => any;
        onKeydown?: (...args: any[]) => any;
        onKeyup?: (...args: any[]) => any;
        size?: import("../config-provider").SizeType;
        readonly?: boolean;
        autofocus?: boolean;
        "onUpdate:value"?: (...args: any[]) => any;
        defaultValue?: string | number;
        suffix?: import("../_util/type").VueNode;
        loading?: boolean;
        prefix?: import("../_util/type").VueNode;
        allowClear?: boolean;
        addonBefore?: import("../_util/type").VueNode;
        addonAfter?: import("../_util/type").VueNode;
        placeholder?: string | number;
        onPressEnter?: (...args: any[]) => any;
    }> & import("vue").ShallowUnwrapRef<{
        configProvider: Partial<{
            getTargetContainer?: unknown;
            getPopupContainer?: unknown;
            prefixCls?: unknown;
            getPrefixCls?: unknown;
            renderEmpty?: unknown;
            transformCellText?: unknown;
            csp?: unknown;
            autoInsertSpaceInButton?: unknown;
            locale?: unknown;
            pageHeader?: unknown;
            componentSize?: unknown;
            direction?: unknown;
            space?: unknown;
            virtual?: unknown;
            dropdownMatchSelectWidth?: unknown;
            form?: unknown;
            notUpdateGlobalConfig?: unknown;
        } & {
            dropdownMatchSelectWidth: number | boolean;
            notUpdateGlobalConfig: boolean;
        } & {
            prefixCls?: string;
            getTargetContainer?: () => any;
            getPopupContainer?: (triggerNode: any) => any;
            getPrefixCls?: (suffixCls?: string, customizePrefixCls?: string) => string;
            renderEmpty?: typeof import("../config-provider/renderEmpty").default;
            transformCellText?: (tableProps: import("../table/interface").TransformCellTextProps) => any;
            csp?: unknown;
            autoInsertSpaceInButton?: boolean;
            locale?: import("../locale-provider").Locale;
            pageHeader?: {
                ghost: boolean;
            };
            componentSize?: import("../config-provider").SizeType;
            direction?: "ltr" | "rtl";
            space?: {
                size: number | import("../config-provider").SizeType;
            };
            virtual?: boolean;
            form?: unknown;
        }>;
        removePasswordTimeout: any;
        input: any;
        clearableInput: any;
        formItemContext: import("../form/FormItemContext").FormItemContext;
    }> & {
        stateValue: string | number;
        isFocused: boolean;
    } & {} & {
        handleInputFocus(e: any): void;
        handleInputBlur(e: any): void;
        focus(): void;
        blur(): void;
        select(): void;
        saveClearableInput(input: any): void;
        saveInput(input: any): void;
        setValue(value: string | number, callback?: Function): void;
        triggerChange(e: any): void;
        handleReset(e: any): void;
        renderInput(prefixCls: string, { addonBefore, addonAfter }: {
            addonBefore: any;
            addonAfter: any;
        }): import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>;
        clearPasswordValueAttribute(): void;
        handleChange(e: any): void;
        handleKeyDown(e: any): void;
    } & import("vue").ComponentCustomProperties;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<{
    id?: unknown;
    prefixCls?: unknown;
    inputPrefixCls?: unknown;
    defaultValue?: unknown;
    value?: unknown;
    placeholder?: unknown;
    type?: unknown;
    name?: unknown;
    size?: unknown;
    disabled?: unknown;
    readonly?: unknown;
    addonBefore?: unknown;
    addonAfter?: unknown;
    prefix?: unknown;
    suffix?: unknown;
    autofocus?: unknown;
    allowClear?: unknown;
    lazy?: unknown;
    maxlength?: unknown;
    loading?: unknown;
    onPressEnter?: unknown;
    onKeydown?: unknown;
    onKeyup?: unknown;
    onFocus?: unknown;
    onBlur?: unknown;
    onChange?: unknown;
    onInput?: unknown;
    'onUpdate:value'?: unknown;
} & {
    type: string;
    prefixCls: string;
    name: string;
    id: string;
    inputPrefixCls: string;
    lazy: boolean;
    maxlength: number;
} & {
    value?: string | number;
    disabled?: boolean;
    onFocus?: (...args: any[]) => any;
    onBlur?: (...args: any[]) => any;
    onChange?: (...args: any[]) => any;
    onInput?: (...args: any[]) => any;
    onKeydown?: (...args: any[]) => any;
    onKeyup?: (...args: any[]) => any;
    size?: import("../config-provider").SizeType;
    readonly?: boolean;
    autofocus?: boolean;
    "onUpdate:value"?: (...args: any[]) => any;
    defaultValue?: string | number;
    suffix?: import("../_util/type").VueNode;
    loading?: boolean;
    prefix?: import("../_util/type").VueNode;
    allowClear?: boolean;
    addonBefore?: import("../_util/type").VueNode;
    addonAfter?: import("../_util/type").VueNode;
    placeholder?: string | number;
    onPressEnter?: (...args: any[]) => any;
}>, {
    configProvider: Partial<{
        getTargetContainer?: unknown;
        getPopupContainer?: unknown;
        prefixCls?: unknown;
        getPrefixCls?: unknown;
        renderEmpty?: unknown;
        transformCellText?: unknown;
        csp?: unknown;
        autoInsertSpaceInButton?: unknown;
        locale?: unknown;
        pageHeader?: unknown;
        componentSize?: unknown;
        direction?: unknown;
        space?: unknown;
        virtual?: unknown;
        dropdownMatchSelectWidth?: unknown;
        form?: unknown;
        notUpdateGlobalConfig?: unknown;
    } & {
        dropdownMatchSelectWidth: number | boolean;
        notUpdateGlobalConfig: boolean;
    } & {
        prefixCls?: string;
        getTargetContainer?: () => any;
        getPopupContainer?: (triggerNode: any) => any;
        getPrefixCls?: (suffixCls?: string, customizePrefixCls?: string) => string;
        renderEmpty?: typeof import("../config-provider/renderEmpty").default;
        transformCellText?: (tableProps: import("../table/interface").TransformCellTextProps) => any;
        csp?: unknown;
        autoInsertSpaceInButton?: boolean;
        locale?: import("../locale-provider").Locale;
        pageHeader?: {
            ghost: boolean;
        };
        componentSize?: import("../config-provider").SizeType;
        direction?: "ltr" | "rtl";
        space?: {
            size: number | import("../config-provider").SizeType;
        };
        virtual?: boolean;
        form?: unknown;
    }>;
    removePasswordTimeout: any;
    input: any;
    clearableInput: any;
    formItemContext: import("../form/FormItemContext").FormItemContext;
}, {
    stateValue: string | number;
    isFocused: boolean;
}, {}, {
    handleInputFocus(e: any): void;
    handleInputBlur(e: any): void;
    focus(): void;
    blur(): void;
    select(): void;
    saveClearableInput(input: any): void;
    saveInput(input: any): void;
    setValue(value: string | number, callback?: Function): void;
    triggerChange(e: any): void;
    handleReset(e: any): void;
    renderInput(prefixCls: string, { addonBefore, addonAfter }: {
        addonBefore: any;
        addonAfter: any;
    }): import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>;
    clearPasswordValueAttribute(): void;
    handleChange(e: any): void;
    handleKeyDown(e: any): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, {
    type: string;
    prefixCls: string;
    onFocus: (...args: any[]) => any;
    onBlur: (...args: any[]) => any;
    onChange: (...args: any[]) => any;
    onInput: (...args: any[]) => any;
    onKeydown: (...args: any[]) => any;
    onKeyup: (...args: any[]) => any;
    name: string;
    id: string;
    "onUpdate:value": (...args: any[]) => any;
    inputPrefixCls: string;
    lazy: boolean;
    maxlength: number;
    onPressEnter: (...args: any[]) => any;
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Plugin & {
    readonly Group: typeof Group;
    readonly Search: typeof Search;
    readonly TextArea: typeof TextArea;
    readonly Password: typeof Password;
};
export default _default;
