import type { ExtractPropTypes, Plugin } from 'vue';
import VcSteps from '../vc-steps';
export declare const stepsProps: () => {
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    iconPrefix: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    current: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    initial: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    percent: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    responsive: import("vue-types").VueTypeValidableDef<boolean>;
    labelPlacement: import("vue-types").VueTypeDef<"horizontal" | "vertical"> & {
        default: "horizontal" | "vertical";
    };
    status: import("vue-types").VueTypeDef<"error" | "wait" | "finish" | "process">;
    size: import("vue-types").VueTypeDef<"default" | "small">;
    direction: import("vue-types").VueTypeDef<"horizontal" | "vertical">;
    progressDot: import("vue-types").VueTypeDef<any>;
    type: import("vue-types").VueTypeDef<"default" | "navigation">;
    onChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    'onUpdate:current': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
};
export declare const stepProps: () => {
    description: import("vue-types").VueTypeValidableDef<any>;
    icon: import("vue-types").VueTypeValidableDef<any>;
    status: import("vue-types").VueTypeDef<"error" | "wait" | "finish" | "process">;
    disabled: import("vue-types").VueTypeValidableDef<boolean>;
    title: import("vue-types").VueTypeValidableDef<any>;
    subTitle: import("vue-types").VueTypeValidableDef<any>;
    onClick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
};
export declare type StepsProps = Partial<ExtractPropTypes<ReturnType<typeof stepsProps>>>;
export declare type StepProps = Partial<ExtractPropTypes<ReturnType<typeof stepProps>>>;
export declare const Step: any;
declare const _default: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            prefixCls: string;
            onChange: (...args: any[]) => any;
            initial: number;
            current: number;
            "onUpdate:current": (...args: any[]) => any;
            percent: number;
            iconPrefix: string;
            labelPlacement: "horizontal" | "vertical";
        }> & Omit<Readonly<{
            prefixCls?: unknown;
            iconPrefix?: unknown;
            current?: unknown;
            initial?: unknown;
            percent?: unknown;
            responsive?: unknown;
            labelPlacement?: unknown;
            status?: unknown;
            size?: unknown;
            direction?: unknown;
            progressDot?: unknown;
            type?: unknown;
            onChange?: unknown;
            'onUpdate:current'?: unknown;
        } & {
            prefixCls: string;
            initial: number;
            current: number;
            percent: number;
            iconPrefix: string;
            labelPlacement: "horizontal" | "vertical";
        } & {
            type?: "default" | "navigation";
            direction?: "horizontal" | "vertical";
            onChange?: (...args: any[]) => any;
            size?: "default" | "small";
            status?: "error" | "wait" | "finish" | "process";
            responsive?: boolean;
            "onUpdate:current"?: (...args: any[]) => any;
            progressDot?: any;
        }> & {
            onChange?: (...args: any[]) => any;
            "onUpdate:current"?: (...args: any[]) => any;
        } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "prefixCls" | "onChange" | "initial" | "current" | "onUpdate:current" | "percent" | "iconPrefix" | "labelPlacement">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $emit: (event: "change" | "update:current", ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<{
            prefixCls?: unknown;
            iconPrefix?: unknown;
            current?: unknown;
            initial?: unknown;
            percent?: unknown;
            responsive?: unknown;
            labelPlacement?: unknown;
            status?: unknown;
            size?: unknown;
            direction?: unknown;
            progressDot?: unknown;
            type?: unknown;
            onChange?: unknown;
            'onUpdate:current'?: unknown;
        } & {
            prefixCls: string;
            initial: number;
            current: number;
            percent: number;
            iconPrefix: string;
            labelPlacement: "horizontal" | "vertical";
        } & {
            type?: "default" | "navigation";
            direction?: "horizontal" | "vertical";
            onChange?: (...args: any[]) => any;
            size?: "default" | "small";
            status?: "error" | "wait" | "finish" | "process";
            responsive?: boolean;
            "onUpdate:current"?: (...args: any[]) => any;
            progressDot?: any;
        }> & {
            onChange?: (...args: any[]) => any;
            "onUpdate:current"?: (...args: any[]) => any;
        }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "update:current")[], string, {
            prefixCls: string;
            onChange: (...args: any[]) => any;
            initial: number;
            current: number;
            "onUpdate:current": (...args: any[]) => any;
            percent: number;
            iconPrefix: string;
            labelPlacement: "horizontal" | "vertical";
        }> & {
            beforeCreate?: (() => void) | (() => void)[];
            created?: (() => void) | (() => void)[];
            beforeMount?: (() => void) | (() => void)[];
            mounted?: (() => void) | (() => void)[];
            beforeUpdate?: (() => void) | (() => void)[];
            updated?: (() => void) | (() => void)[];
            activated?: (() => void) | (() => void)[];
            deactivated?: (() => void) | (() => void)[];
            beforeDestroy?: (() => void) | (() => void)[];
            beforeUnmount?: (() => void) | (() => void)[];
            destroyed?: (() => void) | (() => void)[];
            unmounted?: (() => void) | (() => void)[];
            renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void)[];
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
    } & Readonly<{
        prefixCls?: unknown;
        iconPrefix?: unknown;
        current?: unknown;
        initial?: unknown;
        percent?: unknown;
        responsive?: unknown;
        labelPlacement?: unknown;
        status?: unknown;
        size?: unknown;
        direction?: unknown;
        progressDot?: unknown;
        type?: unknown;
        onChange?: unknown;
        'onUpdate:current'?: unknown;
    } & {
        prefixCls: string;
        initial: number;
        current: number;
        percent: number;
        iconPrefix: string;
        labelPlacement: "horizontal" | "vertical";
    } & {
        type?: "default" | "navigation";
        direction?: "horizontal" | "vertical";
        onChange?: (...args: any[]) => any;
        size?: "default" | "small";
        status?: "error" | "wait" | "finish" | "process";
        responsive?: boolean;
        "onUpdate:current"?: (...args: any[]) => any;
        progressDot?: any;
    }> & {
        onChange?: (...args: any[]) => any;
        "onUpdate:current"?: (...args: any[]) => any;
    } & import("vue").ShallowUnwrapRef<() => JSX.Element> & {} & import("vue").ComponentCustomProperties;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<{
    prefixCls?: unknown;
    iconPrefix?: unknown;
    current?: unknown;
    initial?: unknown;
    percent?: unknown;
    responsive?: unknown;
    labelPlacement?: unknown;
    status?: unknown;
    size?: unknown;
    direction?: unknown;
    progressDot?: unknown;
    type?: unknown;
    onChange?: unknown;
    'onUpdate:current'?: unknown;
} & {
    prefixCls: string;
    initial: number;
    current: number;
    percent: number;
    iconPrefix: string;
    labelPlacement: "horizontal" | "vertical";
} & {
    type?: "default" | "navigation";
    direction?: "horizontal" | "vertical";
    onChange?: (...args: any[]) => any;
    size?: "default" | "small";
    status?: "error" | "wait" | "finish" | "process";
    responsive?: boolean;
    "onUpdate:current"?: (...args: any[]) => any;
    progressDot?: any;
}> & {
    onChange?: (...args: any[]) => any;
    "onUpdate:current"?: (...args: any[]) => any;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "update:current")[], "change" | "update:current", {
    prefixCls: string;
    onChange: (...args: any[]) => any;
    initial: number;
    current: number;
    "onUpdate:current": (...args: any[]) => any;
    percent: number;
    iconPrefix: string;
    labelPlacement: "horizontal" | "vertical";
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Plugin & {
    readonly Step: typeof VcSteps.Step;
};
export default _default;
