"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _vue = require("vue");

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread2"));

var _propsUtil = require("../../_util/props-util");

var _classNames = _interopRequireDefault(require("../../_util/classNames"));

var _interface = require("./interface");

var _default2 = (0, _vue.defineComponent)({
  name: 'MobilePopupInner',
  inheritAttrs: false,
  props: _interface.mobileProps,
  emits: ['mouseenter', 'mouseleave', 'mousedown', 'touchstart', 'align'],
  setup: function setup(props, _ref) {
    var expose = _ref.expose,
        slots = _ref.slots;
    var elementRef = (0, _vue.ref)();
    expose({
      forceAlign: function forceAlign() {},
      getElement: function getElement() {
        return elementRef.value;
      }
    });
    return function () {
      var _slots$default;

      var _ref2 = props,
          zIndex = _ref2.zIndex,
          visible = _ref2.visible,
          prefixCls = _ref2.prefixCls,
          _ref2$mobile = _ref2.mobile;
      _ref2$mobile = _ref2$mobile === void 0 ? {} : _ref2$mobile;
      var popupClassName = _ref2$mobile.popupClassName,
          popupStyle = _ref2$mobile.popupStyle,
          _ref2$mobile$popupMot = _ref2$mobile.popupMotion,
          popupMotion = _ref2$mobile$popupMot === void 0 ? {} : _ref2$mobile$popupMot,
          popupRender = _ref2$mobile.popupRender; // ======================== Render ========================

      var mergedStyle = (0, _objectSpread2.default)({
        zIndex: zIndex
      }, popupStyle);
      var childNode = (0, _propsUtil.flattenChildren)((_slots$default = slots.default) === null || _slots$default === void 0 ? void 0 : _slots$default.call(slots)); // Wrapper when multiple children

      if (childNode.length > 1) {
        var _childNode = function () {
          return childNode;
        }();

        childNode = (0, _vue.createVNode)("div", {
          "class": "".concat(prefixCls, "-content")
        }, [childNode]);
      } // Mobile support additional render


      if (popupRender) {
        childNode = popupRender(childNode);
      }

      var mergedClassName = (0, _classNames.default)(prefixCls, popupClassName);
      return (0, _vue.createVNode)(_vue.Transition, (0, _objectSpread2.default)({
        "ref": elementRef
      }, popupMotion), {
        default: function _default() {
          return [visible ? (0, _vue.createVNode)("div", {
            "class": mergedClassName,
            "style": mergedStyle
          }, [childNode]) : null];
        }
      });
    };
  }
});

exports.default = _default2;